#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(drm_gpusvm_range_find, "_gpl", "");
KSYMTAB_FUNC(drm_gpusvm_init, "_gpl", "");
KSYMTAB_FUNC(drm_gpusvm_fini, "_gpl", "");
KSYMTAB_FUNC(drm_gpusvm_range_find_or_insert, "_gpl", "");
KSYMTAB_FUNC(drm_gpusvm_range_remove, "_gpl", "");
KSYMTAB_FUNC(drm_gpusvm_range_get, "_gpl", "");
KSYMTAB_FUNC(drm_gpusvm_range_put, "_gpl", "");
KSYMTAB_FUNC(drm_gpusvm_range_pages_valid, "_gpl", "");
KSYMTAB_FUNC(drm_gpusvm_range_get_pages, "_gpl", "");
KSYMTAB_FUNC(drm_gpusvm_range_unmap_pages, "_gpl", "");
KSYMTAB_FUNC(drm_gpusvm_migrate_to_devmem, "_gpl", "");
KSYMTAB_FUNC(drm_gpusvm_evict_to_ram, "_gpl", "");
KSYMTAB_FUNC(drm_gpusvm_range_evict, "_gpl", "");
KSYMTAB_FUNC(drm_gpusvm_pagemap_ops_get, "_gpl", "");
KSYMTAB_FUNC(drm_gpusvm_has_mapping, "_gpl", "");
KSYMTAB_FUNC(drm_gpusvm_range_set_unmapped, "_gpl", "");
KSYMTAB_FUNC(drm_gpusvm_devmem_init, "_gpl", "");

SYMBOL_CRC(drm_gpusvm_range_find, 0xe608139b, "_gpl");
SYMBOL_CRC(drm_gpusvm_init, 0x1310aeab, "_gpl");
SYMBOL_CRC(drm_gpusvm_fini, 0x23ad05ab, "_gpl");
SYMBOL_CRC(drm_gpusvm_range_find_or_insert, 0x92f107ba, "_gpl");
SYMBOL_CRC(drm_gpusvm_range_remove, 0x27302de2, "_gpl");
SYMBOL_CRC(drm_gpusvm_range_get, 0xe499779c, "_gpl");
SYMBOL_CRC(drm_gpusvm_range_put, 0x1e4045b4, "_gpl");
SYMBOL_CRC(drm_gpusvm_range_pages_valid, 0x83536b43, "_gpl");
SYMBOL_CRC(drm_gpusvm_range_get_pages, 0xaade789c, "_gpl");
SYMBOL_CRC(drm_gpusvm_range_unmap_pages, 0xdf169c06, "_gpl");
SYMBOL_CRC(drm_gpusvm_migrate_to_devmem, 0x8d66c00f, "_gpl");
SYMBOL_CRC(drm_gpusvm_evict_to_ram, 0x2345dc5c, "_gpl");
SYMBOL_CRC(drm_gpusvm_range_evict, 0xf7046d1a, "_gpl");
SYMBOL_CRC(drm_gpusvm_pagemap_ops_get, 0x9e27fa8c, "_gpl");
SYMBOL_CRC(drm_gpusvm_has_mapping, 0x4026d13e, "_gpl");
SYMBOL_CRC(drm_gpusvm_range_set_unmapped, 0x6b716dde, "_gpl");
SYMBOL_CRC(drm_gpusvm_devmem_init, 0xea784e89, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xa44a1307, "interval_tree_iter_first" },
	{ 0x7b4da6ff, "__init_rwsem" },
	{ 0x57bc19d2, "down_write" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xce807a25, "up_write" },
	{ 0x16246b0c, "dma_map_page_attrs" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x11d7c7d9, "vma_alloc_folio_noprof" },
	{ 0x6afea066, "alloc_pages_noprof" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0x4abc230d, "__folio_put" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0xcc94b3c2, "dma_unmap_page_attrs" },
	{ 0x668b19a1, "down_read" },
	{ 0x53b954a2, "up_read" },
	{ 0x0296695f, "refcount_warn_saturate" },
	{ 0x037a0cba, "kfree" },
	{ 0x93d6dd8c, "complete_all" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xfe5bab3a, "__kvmalloc_node_noprof" },
	{ 0x756cd613, "mmu_interval_read_begin" },
	{ 0xbb4a08d9, "__tracepoint_mmap_lock_start_locking" },
	{ 0xdadf544b, "__tracepoint_mmap_lock_acquire_returned" },
	{ 0xb14bb2ad, "hmm_range_fault" },
	{ 0xd24bc1c7, "__tracepoint_mmap_lock_released" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x53f13818, "mmput" },
	{ 0x387cc9aa, "__mmap_lock_do_trace_released" },
	{ 0xd4b32f88, "__mmap_lock_do_trace_acquire_returned" },
	{ 0x57b398e1, "__mmap_lock_do_trace_start_locking" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x09b53e14, "interval_tree_remove" },
	{ 0x4bf07e0f, "mmu_interval_notifier_remove" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0xec4515c1, "__mmdrop" },
	{ 0xd6e1b038, "unlock_page" },
	{ 0x452e4a88, "migrate_vma_setup" },
	{ 0x20105c3f, "migrate_vma_pages" },
	{ 0xd72a00e6, "migrate_vma_finalize" },
	{ 0x8bc0ff5f, "migrate_device_pfns" },
	{ 0x7cd9fd0a, "migrate_device_pages" },
	{ 0x7e5c9cbd, "migrate_device_finalize" },
	{ 0x165b628d, "mmput_async" },
	{ 0xddf6ad7a, "completion_done" },
	{ 0xc07351b3, "__SCT__cond_resched" },
	{ 0x04e8f828, "mtree_load" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x6b76ca87, "kmalloc_caches" },
	{ 0xf4412901, "__kmalloc_cache_noprof" },
	{ 0x17435ee0, "zone_device_page_init" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0xd4465365, "mmu_interval_notifier_insert" },
	{ 0xdab5a1eb, "interval_tree_insert" },
	{ 0xf82ec573, "rb_prev" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0xa7b5cb70, "dev_driver_string" },
	{ 0x56470118, "__warn_printk" },
	{ 0xfdf7a3f9, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "9D591F9E665D9BC69EA9957");
