#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_DATA(ivtv_ext_init, "", "");
KSYMTAB_FUNC(ivtv_set_irq_mask, "", "");
KSYMTAB_FUNC(ivtv_api, "", "");
KSYMTAB_FUNC(ivtv_vapi, "", "");
KSYMTAB_FUNC(ivtv_vapi_result, "", "");
KSYMTAB_FUNC(ivtv_clear_irq_mask, "", "");
KSYMTAB_DATA(ivtv_debug, "", "");
KSYMTAB_FUNC(ivtv_reset_ir_gpio, "", "");
KSYMTAB_FUNC(ivtv_udma_setup, "", "");
KSYMTAB_FUNC(ivtv_udma_unmap, "", "");
KSYMTAB_FUNC(ivtv_udma_alloc, "", "");
KSYMTAB_FUNC(ivtv_udma_prepare, "", "");
KSYMTAB_FUNC(ivtv_init_on_first_open, "", "");
KSYMTAB_FUNC(ivtv_firmware_check, "", "");
KSYMTAB_FUNC(ivtv_claim_stream, "", "");
KSYMTAB_FUNC(ivtv_release_stream, "", "");
KSYMTAB_FUNC(ivtv_start_v4l2_encode_stream, "", "");
KSYMTAB_FUNC(ivtv_stop_v4l2_encode_stream, "", "");

SYMBOL_CRC(ivtv_ext_init, 0x42bba489, "");
SYMBOL_CRC(ivtv_set_irq_mask, 0x466892d5, "");
SYMBOL_CRC(ivtv_api, 0xd72404b6, "");
SYMBOL_CRC(ivtv_vapi, 0x0ef786e6, "");
SYMBOL_CRC(ivtv_vapi_result, 0xdd52025b, "");
SYMBOL_CRC(ivtv_clear_irq_mask, 0xad62d022, "");
SYMBOL_CRC(ivtv_debug, 0x14f67530, "");
SYMBOL_CRC(ivtv_reset_ir_gpio, 0xdf3dddde, "");
SYMBOL_CRC(ivtv_udma_setup, 0x38a88905, "");
SYMBOL_CRC(ivtv_udma_unmap, 0xffc62636, "");
SYMBOL_CRC(ivtv_udma_alloc, 0x9878639b, "");
SYMBOL_CRC(ivtv_udma_prepare, 0x040c75a0, "");
SYMBOL_CRC(ivtv_init_on_first_open, 0x30437ff3, "");
SYMBOL_CRC(ivtv_firmware_check, 0xfe10a185, "");
SYMBOL_CRC(ivtv_claim_stream, 0xdf6fd4b5, "");
SYMBOL_CRC(ivtv_release_stream, 0xeb5e2731, "");
SYMBOL_CRC(ivtv_start_v4l2_encode_stream, 0x4c584fca, "");
SYMBOL_CRC(ivtv_stop_v4l2_encode_stream, 0x4293b312, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x476b165a, "sized_strscpy" },
	{ 0xb1bde26d, "__v4l2_ctrl_s_ctrl" },
	{ 0x3a1ee1b6, "__dma_sync_single_for_cpu" },
	{ 0x955b0e2e, "kthread_worker_fn" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0xa07a37f0, "memchr" },
	{ 0xa02fa5b1, "tveeprom_read" },
	{ 0x24d273d1, "add_timer" },
	{ 0xce917be6, "v4l2_device_set_name" },
	{ 0x1e6d26a8, "strstr" },
	{ 0x902b903e, "v4l2_fh_is_singular" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x648d1c31, "pci_read_config_word" },
	{ 0x8fb5d6e2, "const_current_task" },
	{ 0x8df5a521, "v4l2_ctrl_subscribe_event" },
	{ 0x9f830b89, "v4l2_fh_init" },
	{ 0xb590d6e3, "v4l2_event_pending" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x3f1da153, "__kthread_init_worker" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0xf22ac8fd, "video_unregister_device" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x2a926c25, "kthread_stop" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x06fc0253, "v4l2_event_subscribe" },
	{ 0x89940875, "mutex_lock_interruptible" },
	{ 0x2a59e6a5, "__fortify_panic" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0xdf237453, "timer_shutdown_sync" },
	{ 0xf8fcce49, "pci_set_master" },
	{ 0xeadc9fb6, "v4l2_ctrl_new_std_menu" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xaad8c7d6, "default_wake_function" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x4e8ccb34, "__v4l2_device_register_subdev" },
	{ 0x2c4caf75, "v4l2_device_register" },
	{ 0x4d3adca9, "param_ops_string" },
	{ 0xcfafacde, "i2c_add_adapter" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x84de33e7, "kthread_create_on_node" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x429d80bc, "__video_register_device" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xdeee1db5, "__dma_sync_single_for_device" },
	{ 0x8fca1311, "pci_write_config_byte" },
	{ 0xfbe215e4, "sg_next" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0xf4412901, "__kmalloc_cache_noprof" },
	{ 0xd2279730, "pin_user_pages_unlocked" },
	{ 0x950022ed, "validate_usercopy_range" },
	{ 0x56470118, "__warn_printk" },
	{ 0x2fce26a8, "v4l2_ctrl_new_std" },
	{ 0x028a993e, "v4l2_ctrl_g_ctrl" },
	{ 0x7532b139, "cx2341x_handler_init" },
	{ 0xd63e42f2, "cx2341x_handler_set_50hz" },
	{ 0x1d779991, "v4l2_ctrl_handler_free" },
	{ 0x4832d213, "v4l2_device_unregister" },
	{ 0x37110088, "remove_wait_queue" },
	{ 0xfa31b70f, "dma_set_mask" },
	{ 0x2853da12, "sched_set_fifo" },
	{ 0x0dbf0296, "tveeprom_hauppauge_analog" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0x80e76d02, "v4l2_subdev_call_wrappers" },
	{ 0xd45c9fdc, "dma_unmap_sg_attrs" },
	{ 0x4c1c273d, "v4l2_event_queue" },
	{ 0x8b9cb178, "v4l2_i2c_new_subdev" },
	{ 0x41733d7a, "pci_read_config_byte" },
	{ 0x77358855, "iomem_resource" },
	{ 0x50f79842, "param_ops_int" },
	{ 0x397703d1, "pcim_enable_device" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x46401a0f, "video_device_release_empty" },
	{ 0xc23584ac, "v4l2_ctrl_cluster" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0x2cf0c910, "sg_init_table" },
	{ 0xaecc825b, "pci_write_config_dword" },
	{ 0x303df08d, "v4l2_event_unsubscribe" },
	{ 0x6b76ca87, "kmalloc_caches" },
	{ 0x53bbefe1, "__trace_set_current_state" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x9f5bf2ff, "dma_map_sg_attrs" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0x389fe86c, "v4l2_fh_exit" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xdc879ade, "cx2341x_handler_set_busy" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xdf77d7d4, "video_ioctl2" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x6a5cc518, "__kmalloc_noprof" },
	{ 0xb0e602eb, "memmove" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x3a9573fa, "i2c_bit_add_bus" },
	{ 0xdf5dbc2f, "v4l2_fh_del" },
	{ 0xa83e6fd0, "v4l2_i2c_new_subdev_board" },
	{ 0x2d5d1862, "kthread_flush_worker" },
	{ 0x25c55094, "v4l2_fh_add" },
	{ 0x92540fbf, "finish_wait" },
	{ 0xcc94b3c2, "dma_unmap_page_attrs" },
	{ 0x383c1c46, "request_firmware" },
	{ 0xc27671d5, "__pci_register_driver" },
	{ 0xb3518268, "v4l2_ctrl_handler_init_class" },
	{ 0x55b0dbb7, "devm_ioremap" },
	{ 0x7d628444, "memcpy_fromio" },
	{ 0x13556131, "unpin_user_pages" },
	{ 0x32c4d523, "param_array_ops" },
	{ 0xd5fd90f1, "prepare_to_wait" },
	{ 0x69acdf38, "memcpy" },
	{ 0x037a0cba, "kfree" },
	{ 0x054496b4, "schedule_timeout_interruptible" },
	{ 0x4afb2238, "add_wait_queue" },
	{ 0xdc0e4855, "timer_delete" },
	{ 0xcdbe35c2, "i2c_transfer_buffer_flags" },
	{ 0xe5d50853, "v4l2_subdev_init" },
	{ 0xe2964344, "__wake_up" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x4850df41, "pci_unregister_driver" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x76fb21bc, "wake_up_process" },
	{ 0xa7b5cb70, "dev_driver_string" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x16246b0c, "dma_map_page_attrs" },
	{ 0x44dd10ce, "__devm_request_region" },
	{ 0x92997ed8, "_printk" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0x7c46e789, "v4l2_ctrl_handler_log_status" },
	{ 0xfbae4536, "v4l2_ctrl_handler_setup" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x01000e51, "schedule" },
	{ 0x7e3102ca, "__tracepoint_sched_set_state_tp" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x9cca618e, "video_devdata" },
	{ 0x56554b97, "__kmalloc_large_noprof" },
	{ 0xcd1eeedb, "i2c_new_scanned_device" },
	{ 0xcdc7f355, "cx2341x_handler_setup" },
	{ 0xa916b694, "strnlen" },
	{ 0xe46644cc, "kthread_queue_work" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x9056310d, "__free_pages" },
	{ 0x99537c6a, "i2c_del_adapter" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0xfdf7a3f9, "module_layout" },
};

MODULE_INFO(depends, "videodev,tveeprom,cx2341x,i2c-algo-bit");

MODULE_ALIAS("pci:v00004444d00000803sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00004444d00000016sv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "C46EAD538FA789474FF8DBE");
