#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(sas_remove_children, "", "");
KSYMTAB_FUNC(sas_remove_host, "", "");
KSYMTAB_FUNC(sas_get_address, "", "");
KSYMTAB_FUNC(sas_tlr_supported, "_gpl", "");
KSYMTAB_FUNC(sas_disable_tlr, "_gpl", "");
KSYMTAB_FUNC(sas_enable_tlr, "_gpl", "");
KSYMTAB_FUNC(sas_is_tlr_enabled, "_gpl", "");
KSYMTAB_FUNC(sas_ata_ncq_prio_supported, "_gpl", "");
KSYMTAB_FUNC(sas_phy_alloc, "", "");
KSYMTAB_FUNC(sas_phy_add, "", "");
KSYMTAB_FUNC(sas_phy_free, "", "");
KSYMTAB_FUNC(sas_phy_delete, "", "");
KSYMTAB_FUNC(scsi_is_sas_phy, "", "");
KSYMTAB_FUNC(sas_port_alloc, "", "");
KSYMTAB_FUNC(sas_port_alloc_num, "", "");
KSYMTAB_FUNC(sas_port_add, "", "");
KSYMTAB_FUNC(sas_port_free, "", "");
KSYMTAB_FUNC(sas_port_delete, "", "");
KSYMTAB_FUNC(scsi_is_sas_port, "", "");
KSYMTAB_FUNC(sas_port_get_phy, "", "");
KSYMTAB_FUNC(sas_port_add_phy, "", "");
KSYMTAB_FUNC(sas_port_delete_phy, "", "");
KSYMTAB_FUNC(sas_port_mark_backlink, "", "");
KSYMTAB_FUNC(sas_read_port_mode_page, "", "");
KSYMTAB_FUNC(sas_end_device_alloc, "", "");
KSYMTAB_FUNC(sas_expander_alloc, "", "");
KSYMTAB_FUNC(sas_rphy_add, "", "");
KSYMTAB_FUNC(sas_rphy_free, "", "");
KSYMTAB_FUNC(sas_rphy_delete, "", "");
KSYMTAB_FUNC(sas_rphy_unlink, "", "");
KSYMTAB_FUNC(sas_rphy_remove, "", "");
KSYMTAB_FUNC(scsi_is_sas_rphy, "", "");
KSYMTAB_FUNC(sas_attach_transport, "", "");
KSYMTAB_FUNC(sas_release_transport, "", "");

SYMBOL_CRC(sas_remove_children, 0x8e0a8e63, "");
SYMBOL_CRC(sas_remove_host, 0xa70a987d, "");
SYMBOL_CRC(sas_get_address, 0xed9db254, "");
SYMBOL_CRC(sas_tlr_supported, 0xb70f6401, "_gpl");
SYMBOL_CRC(sas_disable_tlr, 0x86840a1d, "_gpl");
SYMBOL_CRC(sas_enable_tlr, 0x5b4be77d, "_gpl");
SYMBOL_CRC(sas_is_tlr_enabled, 0x548eec34, "_gpl");
SYMBOL_CRC(sas_ata_ncq_prio_supported, 0x0d2159e3, "_gpl");
SYMBOL_CRC(sas_phy_alloc, 0xb8138c92, "");
SYMBOL_CRC(sas_phy_add, 0x65707876, "");
SYMBOL_CRC(sas_phy_free, 0xa409b486, "");
SYMBOL_CRC(sas_phy_delete, 0x17bb5db9, "");
SYMBOL_CRC(scsi_is_sas_phy, 0xb5d0c99c, "");
SYMBOL_CRC(sas_port_alloc, 0x0dbd393e, "");
SYMBOL_CRC(sas_port_alloc_num, 0x446c6cce, "");
SYMBOL_CRC(sas_port_add, 0x5b03a5d2, "");
SYMBOL_CRC(sas_port_free, 0x9044c5f8, "");
SYMBOL_CRC(sas_port_delete, 0x0589cf3f, "");
SYMBOL_CRC(scsi_is_sas_port, 0x5eeb3810, "");
SYMBOL_CRC(sas_port_get_phy, 0x47afe2f5, "");
SYMBOL_CRC(sas_port_add_phy, 0xd21f5a7e, "");
SYMBOL_CRC(sas_port_delete_phy, 0x15e08833, "");
SYMBOL_CRC(sas_port_mark_backlink, 0x3e36da67, "");
SYMBOL_CRC(sas_read_port_mode_page, 0x8a50a5d7, "");
SYMBOL_CRC(sas_end_device_alloc, 0x6a6a73c4, "");
SYMBOL_CRC(sas_expander_alloc, 0x7de414ff, "");
SYMBOL_CRC(sas_rphy_add, 0xf00e3e11, "");
SYMBOL_CRC(sas_rphy_free, 0xd3efaadc, "");
SYMBOL_CRC(sas_rphy_delete, 0xf34cdb1c, "");
SYMBOL_CRC(sas_rphy_unlink, 0xde899f28, "");
SYMBOL_CRC(sas_rphy_remove, 0x60bbda27, "");
SYMBOL_CRC(scsi_is_sas_rphy, 0x2dba8d80, "");
SYMBOL_CRC(sas_attach_transport, 0xac86e4db, "");
SYMBOL_CRC(sas_release_transport, 0xaf32b12d, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x6b76ca87, "kmalloc_caches" },
	{ 0xf4412901, "__kmalloc_cache_noprof" },
	{ 0x118b33e8, "attribute_container_register" },
	{ 0x6bb28c88, "_dev_printk" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x5da30386, "attribute_container_unregister" },
	{ 0x2646b4e7, "scsi_get_vpd_page" },
	{ 0x1332897a, "scsi_mode_sense" },
	{ 0x987e4a9e, "scsi_remove_host" },
	{ 0x2e276d28, "bsg_remove_queue" },
	{ 0xfca69738, "scsi_remove_target" },
	{ 0xc947af82, "scsi_is_host_device" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xc151c25b, "_dev_warn" },
	{ 0x9c1a8e73, "bsg_job_done" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xc2d245c8, "dma_opt_mapping_size" },
	{ 0xcf7d078c, "device_initialize" },
	{ 0x24fa903f, "dev_set_name" },
	{ 0x3b425702, "transport_setup_device" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x2ed8a8d7, "device_for_each_child" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x2656775e, "put_device" },
	{ 0x037a0cba, "kfree" },
	{ 0xad08a6d1, "device_add" },
	{ 0xa1e586bb, "transport_add_device" },
	{ 0xeac182ae, "transport_configure_device" },
	{ 0xe7f4f578, "device_del" },
	{ 0x401ede9e, "transport_destroy_device" },
	{ 0x3e16bfed, "transport_remove_device" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x3cffbc23, "get_device" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xae0582ae, "sysfs_remove_link" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0xd651ddea, "sysfs_create_link" },
	{ 0x92997ed8, "_printk" },
	{ 0x72e0e109, "scsi_scan_target" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0x299bcf88, "bsg_setup_queue" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x754d539c, "strlen" },
	{ 0x5a921311, "strncmp" },
	{ 0x5b1ccf18, "transport_class_register" },
	{ 0x4352e326, "transport_class_unregister" },
	{ 0xfdf7a3f9, "module_layout" },
};

MODULE_INFO(depends, "scsi_mod");


MODULE_INFO(srcversion, "3109B07A74B7470B8C8BE31");
