#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(typec_altmode_update_active, "_gpl", "");
KSYMTAB_FUNC(typec_altmode2port, "_gpl", "");
KSYMTAB_FUNC(typec_altmode_set_ops, "_gpl", "");
KSYMTAB_FUNC(typec_unregister_altmode, "_gpl", "");
KSYMTAB_FUNC(typec_partner_set_usb_mode, "_gpl", "");
KSYMTAB_FUNC(typec_partner_set_identity, "_gpl", "");
KSYMTAB_FUNC(typec_partner_set_pd_revision, "_gpl", "");
KSYMTAB_FUNC(typec_partner_set_usb_power_delivery, "_gpl", "");
KSYMTAB_FUNC(typec_partner_set_num_altmodes, "_gpl", "");
KSYMTAB_FUNC(typec_partner_register_altmode, "_gpl", "");
KSYMTAB_FUNC(typec_partner_set_svdm_version, "_gpl", "");
KSYMTAB_FUNC(typec_partner_usb_power_delivery_register, "_gpl", "");
KSYMTAB_FUNC(typec_register_partner, "_gpl", "");
KSYMTAB_FUNC(typec_unregister_partner, "_gpl", "");
KSYMTAB_FUNC(typec_plug_set_num_altmodes, "_gpl", "");
KSYMTAB_FUNC(typec_plug_register_altmode, "_gpl", "");
KSYMTAB_FUNC(typec_register_plug, "_gpl", "");
KSYMTAB_FUNC(typec_unregister_plug, "_gpl", "");
KSYMTAB_FUNC(typec_cable_get, "_gpl", "");
KSYMTAB_FUNC(typec_cable_put, "_gpl", "");
KSYMTAB_FUNC(typec_cable_is_active, "_gpl", "");
KSYMTAB_FUNC(typec_cable_set_identity, "_gpl", "");
KSYMTAB_FUNC(typec_register_cable, "_gpl", "");
KSYMTAB_FUNC(typec_unregister_cable, "_gpl", "");
KSYMTAB_FUNC(typec_port_set_usb_mode, "_gpl", "");
KSYMTAB_FUNC(typec_port_set_usb_power_delivery, "_gpl", "");
KSYMTAB_FUNC(typec_set_data_role, "_gpl", "");
KSYMTAB_FUNC(typec_set_pwr_role, "_gpl", "");
KSYMTAB_FUNC(typec_set_vconn_role, "_gpl", "");
KSYMTAB_FUNC(typec_set_pwr_opmode, "_gpl", "");
KSYMTAB_FUNC(typec_find_pwr_opmode, "_gpl", "");
KSYMTAB_FUNC(typec_find_orientation, "_gpl", "");
KSYMTAB_FUNC(typec_find_port_power_role, "_gpl", "");
KSYMTAB_FUNC(typec_find_power_role, "_gpl", "");
KSYMTAB_FUNC(typec_find_port_data_role, "_gpl", "");
KSYMTAB_FUNC(typec_set_orientation, "_gpl", "");
KSYMTAB_FUNC(typec_get_orientation, "_gpl", "");
KSYMTAB_FUNC(typec_set_mode, "_gpl", "");
KSYMTAB_FUNC(typec_get_negotiated_svdm_version, "_gpl", "");
KSYMTAB_FUNC(typec_get_cable_svdm_version, "_gpl", "");
KSYMTAB_FUNC(typec_cable_set_svdm_version, "_gpl", "");
KSYMTAB_FUNC(typec_get_drvdata, "_gpl", "");
KSYMTAB_FUNC(typec_get_fw_cap, "_gpl", "");
KSYMTAB_FUNC(typec_port_register_altmode, "_gpl", "");
KSYMTAB_FUNC(typec_port_register_altmodes, "_gpl", "");
KSYMTAB_FUNC(typec_port_register_cable_ops, "_gpl", "");
KSYMTAB_FUNC(typec_register_port, "_gpl", "");
KSYMTAB_FUNC(typec_unregister_port, "_gpl", "");
KSYMTAB_FUNC(fwnode_typec_switch_get, "_gpl", "");
KSYMTAB_FUNC(typec_switch_put, "_gpl", "");
KSYMTAB_FUNC(typec_switch_register, "_gpl", "");
KSYMTAB_FUNC(typec_switch_set, "_gpl", "");
KSYMTAB_FUNC(typec_switch_unregister, "_gpl", "");
KSYMTAB_FUNC(typec_switch_set_drvdata, "_gpl", "");
KSYMTAB_FUNC(typec_switch_get_drvdata, "_gpl", "");
KSYMTAB_FUNC(fwnode_typec_mux_get, "_gpl", "");
KSYMTAB_FUNC(typec_mux_put, "_gpl", "");
KSYMTAB_FUNC(typec_mux_set, "_gpl", "");
KSYMTAB_FUNC(typec_mux_register, "_gpl", "");
KSYMTAB_FUNC(typec_mux_unregister, "_gpl", "");
KSYMTAB_FUNC(typec_mux_set_drvdata, "_gpl", "");
KSYMTAB_FUNC(typec_mux_get_drvdata, "_gpl", "");
KSYMTAB_FUNC(typec_altmode_notify, "_gpl", "");
KSYMTAB_FUNC(typec_altmode_enter, "_gpl", "");
KSYMTAB_FUNC(typec_altmode_exit, "_gpl", "");
KSYMTAB_FUNC(typec_altmode_attention, "_gpl", "");
KSYMTAB_FUNC(typec_altmode_vdm, "_gpl", "");
KSYMTAB_FUNC(typec_altmode_get_partner, "_gpl", "");
KSYMTAB_FUNC(typec_cable_altmode_enter, "_gpl", "");
KSYMTAB_FUNC(typec_cable_altmode_exit, "_gpl", "");
KSYMTAB_FUNC(typec_cable_altmode_vdm, "_gpl", "");
KSYMTAB_FUNC(typec_altmode_get_plug, "_gpl", "");
KSYMTAB_FUNC(typec_altmode_put_plug, "_gpl", "");
KSYMTAB_FUNC(__typec_altmode_register_driver, "_gpl", "");
KSYMTAB_FUNC(typec_altmode_unregister_driver, "_gpl", "");
KSYMTAB_FUNC(typec_match_altmode, "_gpl", "");
KSYMTAB_FUNC(usb_power_delivery_register_capabilities, "_gpl", "");
KSYMTAB_FUNC(usb_power_delivery_unregister_capabilities, "_gpl", "");
KSYMTAB_FUNC(usb_power_delivery_register, "_gpl", "");
KSYMTAB_FUNC(usb_power_delivery_unregister, "_gpl", "");
KSYMTAB_FUNC(usb_power_delivery_link_device, "_gpl", "");
KSYMTAB_FUNC(usb_power_delivery_unlink_device, "_gpl", "");
KSYMTAB_FUNC(fwnode_typec_retimer_get, "_gpl", "");
KSYMTAB_FUNC(typec_retimer_put, "_gpl", "");
KSYMTAB_FUNC(typec_retimer_set, "_gpl", "");
KSYMTAB_FUNC(typec_retimer_register, "_gpl", "");
KSYMTAB_FUNC(typec_retimer_unregister, "_gpl", "");
KSYMTAB_FUNC(typec_retimer_get_drvdata, "_gpl", "");

SYMBOL_CRC(typec_altmode_update_active, 0x04ae200e, "_gpl");
SYMBOL_CRC(typec_altmode2port, 0x4dfb2a1e, "_gpl");
SYMBOL_CRC(typec_altmode_set_ops, 0x8049ddb4, "_gpl");
SYMBOL_CRC(typec_unregister_altmode, 0x7af74e6e, "_gpl");
SYMBOL_CRC(typec_partner_set_usb_mode, 0xc3dbe115, "_gpl");
SYMBOL_CRC(typec_partner_set_identity, 0x64257c88, "_gpl");
SYMBOL_CRC(typec_partner_set_pd_revision, 0xe09e0f7f, "_gpl");
SYMBOL_CRC(typec_partner_set_usb_power_delivery, 0x83b74e00, "_gpl");
SYMBOL_CRC(typec_partner_set_num_altmodes, 0xc670e728, "_gpl");
SYMBOL_CRC(typec_partner_register_altmode, 0x9984d05c, "_gpl");
SYMBOL_CRC(typec_partner_set_svdm_version, 0x0486ff14, "_gpl");
SYMBOL_CRC(typec_partner_usb_power_delivery_register, 0xefc5096b, "_gpl");
SYMBOL_CRC(typec_register_partner, 0x55a1cacf, "_gpl");
SYMBOL_CRC(typec_unregister_partner, 0xbfbe85c4, "_gpl");
SYMBOL_CRC(typec_plug_set_num_altmodes, 0x96f1dc5d, "_gpl");
SYMBOL_CRC(typec_plug_register_altmode, 0x89c6ba47, "_gpl");
SYMBOL_CRC(typec_register_plug, 0xab16e396, "_gpl");
SYMBOL_CRC(typec_unregister_plug, 0x2eb6164c, "_gpl");
SYMBOL_CRC(typec_cable_get, 0xf621cca7, "_gpl");
SYMBOL_CRC(typec_cable_put, 0x71f89996, "_gpl");
SYMBOL_CRC(typec_cable_is_active, 0xbae4c663, "_gpl");
SYMBOL_CRC(typec_cable_set_identity, 0xbd22c403, "_gpl");
SYMBOL_CRC(typec_register_cable, 0x0a82076a, "_gpl");
SYMBOL_CRC(typec_unregister_cable, 0xa67cf7f5, "_gpl");
SYMBOL_CRC(typec_port_set_usb_mode, 0x27843c04, "_gpl");
SYMBOL_CRC(typec_port_set_usb_power_delivery, 0xa0058196, "_gpl");
SYMBOL_CRC(typec_set_data_role, 0xf1204801, "_gpl");
SYMBOL_CRC(typec_set_pwr_role, 0xef0d2865, "_gpl");
SYMBOL_CRC(typec_set_vconn_role, 0xaa5fca53, "_gpl");
SYMBOL_CRC(typec_set_pwr_opmode, 0x5cb5c359, "_gpl");
SYMBOL_CRC(typec_find_pwr_opmode, 0xf1234a8b, "_gpl");
SYMBOL_CRC(typec_find_orientation, 0xa254de98, "_gpl");
SYMBOL_CRC(typec_find_port_power_role, 0xeafc1eb8, "_gpl");
SYMBOL_CRC(typec_find_power_role, 0x2d1e301d, "_gpl");
SYMBOL_CRC(typec_find_port_data_role, 0x9049491e, "_gpl");
SYMBOL_CRC(typec_set_orientation, 0x47965186, "_gpl");
SYMBOL_CRC(typec_get_orientation, 0x74e093b0, "_gpl");
SYMBOL_CRC(typec_set_mode, 0xa2a6607b, "_gpl");
SYMBOL_CRC(typec_get_negotiated_svdm_version, 0x474c756a, "_gpl");
SYMBOL_CRC(typec_get_cable_svdm_version, 0xd2489aed, "_gpl");
SYMBOL_CRC(typec_cable_set_svdm_version, 0x3cb232d1, "_gpl");
SYMBOL_CRC(typec_get_drvdata, 0xb7dc4547, "_gpl");
SYMBOL_CRC(typec_get_fw_cap, 0x393e7901, "_gpl");
SYMBOL_CRC(typec_port_register_altmode, 0x653aec3b, "_gpl");
SYMBOL_CRC(typec_port_register_altmodes, 0x6ae5fb4a, "_gpl");
SYMBOL_CRC(typec_port_register_cable_ops, 0x61ae76e5, "_gpl");
SYMBOL_CRC(typec_register_port, 0x1704ad89, "_gpl");
SYMBOL_CRC(typec_unregister_port, 0xaa314cf9, "_gpl");
SYMBOL_CRC(fwnode_typec_switch_get, 0xc2232941, "_gpl");
SYMBOL_CRC(typec_switch_put, 0x86521d45, "_gpl");
SYMBOL_CRC(typec_switch_register, 0xaee59aa0, "_gpl");
SYMBOL_CRC(typec_switch_set, 0xd2fa1286, "_gpl");
SYMBOL_CRC(typec_switch_unregister, 0xac4be372, "_gpl");
SYMBOL_CRC(typec_switch_set_drvdata, 0x8e90bbb3, "_gpl");
SYMBOL_CRC(typec_switch_get_drvdata, 0xa2c12a40, "_gpl");
SYMBOL_CRC(fwnode_typec_mux_get, 0x936e6fbd, "_gpl");
SYMBOL_CRC(typec_mux_put, 0xfc8df340, "_gpl");
SYMBOL_CRC(typec_mux_set, 0x6b3d9465, "_gpl");
SYMBOL_CRC(typec_mux_register, 0x86f15227, "_gpl");
SYMBOL_CRC(typec_mux_unregister, 0x2fd276b6, "_gpl");
SYMBOL_CRC(typec_mux_set_drvdata, 0x75ebc03b, "_gpl");
SYMBOL_CRC(typec_mux_get_drvdata, 0x7bdbc373, "_gpl");
SYMBOL_CRC(typec_altmode_notify, 0xf03d8fa5, "_gpl");
SYMBOL_CRC(typec_altmode_enter, 0xadac7339, "_gpl");
SYMBOL_CRC(typec_altmode_exit, 0x7bf7dbc7, "_gpl");
SYMBOL_CRC(typec_altmode_attention, 0x17cf1a8c, "_gpl");
SYMBOL_CRC(typec_altmode_vdm, 0x6b59b4e6, "_gpl");
SYMBOL_CRC(typec_altmode_get_partner, 0x8eb4aefd, "_gpl");
SYMBOL_CRC(typec_cable_altmode_enter, 0xe4da2622, "_gpl");
SYMBOL_CRC(typec_cable_altmode_exit, 0x83ac842d, "_gpl");
SYMBOL_CRC(typec_cable_altmode_vdm, 0x3efd3ada, "_gpl");
SYMBOL_CRC(typec_altmode_get_plug, 0x1ce5ae4d, "_gpl");
SYMBOL_CRC(typec_altmode_put_plug, 0x4b04d8ca, "_gpl");
SYMBOL_CRC(__typec_altmode_register_driver, 0x1c3e7379, "_gpl");
SYMBOL_CRC(typec_altmode_unregister_driver, 0x9472fae5, "_gpl");
SYMBOL_CRC(typec_match_altmode, 0xe958411f, "_gpl");
SYMBOL_CRC(usb_power_delivery_register_capabilities, 0xd3f2dd80, "_gpl");
SYMBOL_CRC(usb_power_delivery_unregister_capabilities, 0x0c66998f, "_gpl");
SYMBOL_CRC(usb_power_delivery_register, 0xeb3063ef, "_gpl");
SYMBOL_CRC(usb_power_delivery_unregister, 0x280059f0, "_gpl");
SYMBOL_CRC(usb_power_delivery_link_device, 0x5a78127c, "_gpl");
SYMBOL_CRC(usb_power_delivery_unlink_device, 0xd9fc641b, "_gpl");
SYMBOL_CRC(fwnode_typec_retimer_get, 0xf8fd8606, "_gpl");
SYMBOL_CRC(typec_retimer_put, 0x5918daf0, "_gpl");
SYMBOL_CRC(typec_retimer_set, 0xd8c5b975, "_gpl");
SYMBOL_CRC(typec_retimer_register, 0xa0da24a7, "_gpl");
SYMBOL_CRC(typec_retimer_unregister, 0x1f44065d, "_gpl");
SYMBOL_CRC(typec_retimer_get_drvdata, 0x9da0621b, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xba0e9e2c, "driver_unregister" },
	{ 0x3c6126ae, "class_unregister" },
	{ 0x34597d52, "device_find_child" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x4b27879a, "device_register" },
	{ 0x124bad4d, "kstrtobool" },
	{ 0x169938c1, "__sysfs_match_string" },
	{ 0xc151c25b, "_dev_warn" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x9d0129f8, "kmemdup_noprof" },
	{ 0xfb384d37, "kasprintf" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xfce306e2, "fwnode_property_read_string" },
	{ 0xa3667af1, "fwnode_property_present" },
	{ 0x24a2722e, "component_master_del" },
	{ 0xf7f3ffae, "component_match_add_release" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xcb17903a, "device_get_named_child_node" },
	{ 0x99efc74a, "component_bind_all" },
	{ 0xf4412901, "__kmalloc_cache_noprof" },
	{ 0x7f608028, "device_match_name" },
	{ 0xc1f48b1a, "kobject_uevent" },
	{ 0x5e69f389, "fwnode_connection_find_matches" },
	{ 0x81188c30, "match_string" },
	{ 0x655a9fa9, "component_unbind_all" },
	{ 0xf2b4eb5d, "driver_register" },
	{ 0x0542011e, "class_register" },
	{ 0x99f2d00a, "sysfs_emit_at" },
	{ 0x8acf8c04, "__dev_fwnode" },
	{ 0x6b76ca87, "kmalloc_caches" },
	{ 0x92ce14d4, "bus_register" },
	{ 0x1c5f71a6, "class_find_device" },
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0xe7a02573, "ida_alloc_range" },
	{ 0x3706366a, "try_module_get" },
	{ 0x262448ef, "device_match_type" },
	{ 0xb930c310, "is_acpi_device_node" },
	{ 0xa7d5f92e, "ida_destroy" },
	{ 0x24fa903f, "dev_set_name" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xfba1feee, "component_master_add_with_match" },
	{ 0x222e7ce2, "sysfs_streq" },
	{ 0x687445ce, "device_unregister" },
	{ 0xe16e49eb, "acpi_bus_for_each_dev" },
	{ 0xcf7d078c, "device_initialize" },
	{ 0x037a0cba, "kfree" },
	{ 0x48179db7, "fwnode_connection_find_match" },
	{ 0xb982c60e, "fwnode_get_next_child_node" },
	{ 0x2ed8a8d7, "device_for_each_child" },
	{ 0x3cffbc23, "get_device" },
	{ 0x53a1cc41, "__dynamic_dev_dbg" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0xa3ec3b06, "sysfs_notify" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x1969b9d1, "device_match_fwnode" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x2656775e, "put_device" },
	{ 0x0ca75af8, "fwnode_property_read_u32_array" },
	{ 0x029bbbf9, "module_put" },
	{ 0xd651ddea, "sysfs_create_link" },
	{ 0x1f3c7e9d, "fwnode_get_name" },
	{ 0x39ec8c75, "kobject_uevent_env" },
	{ 0x642d41fc, "sysfs_update_group" },
	{ 0xc9f13deb, "bus_unregister" },
	{ 0x8a854f01, "_dev_err" },
	{ 0xad08a6d1, "device_add" },
	{ 0xae0582ae, "sysfs_remove_link" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0xb24fba96, "fwnode_property_read_u16_array" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xffb7c514, "ida_free" },
	{ 0xfdf7a3f9, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "F3B68E79439123BE343C351");
