#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xc321261f, "generic_file_write_iter" },
	{ 0xe2bfcec6, "register_filesystem" },
	{ 0xd35d58fe, "d_tmpfile" },
	{ 0x558c88a6, "sync_inode_metadata" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x42058b87, "simple_inode_init_ts" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x21f74dc7, "inode_newsize_ok" },
	{ 0xa74522e9, "kill_block_super" },
	{ 0xa8a5581f, "unlock_new_inode" },
	{ 0x92997ed8, "_printk" },
	{ 0xeba3cfd6, "block_invalidate_folio" },
	{ 0x486141f4, "generic_write_end" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xa2a72f04, "make_kuid" },
	{ 0x473fbb39, "truncate_inode_pages_final" },
	{ 0x5fc6ce55, "block_write_end" },
	{ 0x11360404, "generic_file_mmap" },
	{ 0xa916b694, "strnlen" },
	{ 0x8fc0327d, "__filemap_get_folio" },
	{ 0x3195d27c, "invalidate_inode_buffers" },
	{ 0xe9ef785d, "bdev_getblk" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x36438f19, "inode_init_once" },
	{ 0x4f588797, "__brelse" },
	{ 0x4ec35269, "inode_nohighmem" },
	{ 0x489af2e0, "generic_file_read_iter" },
	{ 0xc65f88b6, "truncate_pagecache" },
	{ 0x3e1e6706, "sync_dirty_buffer" },
	{ 0x3f3e10dc, "page_symlink" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x0138c079, "setattr_copy" },
	{ 0xe68efe41, "_raw_write_lock" },
	{ 0x7663f35b, "set_nlink" },
	{ 0x207f290d, "kmem_cache_alloc_lru_noprof" },
	{ 0xe95610da, "kmem_cache_free" },
	{ 0xff81a3d7, "from_kgid" },
	{ 0x0a4c8974, "mpage_writepages" },
	{ 0xdd4d55b6, "_raw_read_unlock" },
	{ 0x40235c98, "_raw_write_unlock" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x100cd1bd, "__bread_gfp" },
	{ 0x2a59e6a5, "__fortify_panic" },
	{ 0x07da0fc7, "block_dirty_folio" },
	{ 0xc52c9efa, "from_kuid" },
	{ 0xfb578fc5, "memset" },
	{ 0x85743534, "__insert_inode_hash" },
	{ 0xef64185a, "buffer_migrate_folio" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x63cdccf9, "make_kgid" },
	{ 0x577d1389, "__kmem_cache_create_args" },
	{ 0xcdac4777, "truncate_setsize" },
	{ 0x725f535e, "block_read_full_folio" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x270c4ce2, "noop_direct_IO" },
	{ 0x6524e09d, "unlock_buffer" },
	{ 0x4faac6c2, "generic_read_dir" },
	{ 0x347d81b3, "inode_set_ctime_current" },
	{ 0x5d26ef15, "inc_nlink" },
	{ 0x4abc230d, "__folio_put" },
	{ 0xf4412901, "__kmalloc_cache_noprof" },
	{ 0x4a33e9b2, "get_tree_bdev" },
	{ 0xe96598b4, "__lock_buffer" },
	{ 0xfe8c61f0, "_raw_read_lock" },
	{ 0x25820c64, "fs_overflowuid" },
	{ 0x0e31a692, "__folio_lock" },
	{ 0x1cc58df7, "block_write_begin" },
	{ 0xd69d8ed0, "filemap_splice_read" },
	{ 0x31d43558, "filemap_write_and_wait_range" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0x754d539c, "strlen" },
	{ 0xdc4fb321, "__mark_inode_dirty" },
	{ 0x28847424, "generic_file_llseek" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x50d9766d, "mark_buffer_dirty_inode" },
	{ 0x20b0382e, "drop_nlink" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x6b76ca87, "kmalloc_caches" },
	{ 0xc204d1c6, "inode_set_ctime_to_ts" },
	{ 0x660074b4, "iget_failed" },
	{ 0x414b4fc6, "kmem_cache_destroy" },
	{ 0xbc314156, "nop_mnt_idmap" },
	{ 0xdf929370, "fs_overflowgid" },
	{ 0x692cdca9, "inode_init_owner" },
	{ 0xf7bce15c, "generic_fillattr" },
	{ 0x5c2da4c9, "setattr_prepare" },
	{ 0xf6ebfa01, "iget_locked" },
	{ 0x6b6cac24, "generic_block_bmap" },
	{ 0x3a897aef, "d_instantiate" },
	{ 0x036b1530, "clear_inode" },
	{ 0x6a5cc518, "__kmalloc_noprof" },
	{ 0x5dbf1c0f, "folio_unlock" },
	{ 0xfe05bc3f, "new_inode" },
	{ 0xe79902d1, "init_special_inode" },
	{ 0xae29499e, "unregister_filesystem" },
	{ 0xa79d95fd, "mark_buffer_dirty" },
	{ 0xca47d237, "__block_write_begin" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0x6401b0cd, "d_make_root" },
	{ 0xa954f93d, "__bforget" },
	{ 0xb4881be4, "sb_set_blocksize" },
	{ 0x197c4677, "block_truncate_page" },
	{ 0x1b74e3b3, "read_cache_folio" },
	{ 0x5a94eef6, "sync_filesystem" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0x4cb8a2f8, "d_splice_alias" },
	{ 0x69acdf38, "memcpy" },
	{ 0xe0d97aa5, "ihold" },
	{ 0xd09d98cd, "page_get_link" },
	{ 0x037a0cba, "kfree" },
	{ 0x3d811384, "generic_file_fsync" },
	{ 0xd5e82611, "finish_open" },
	{ 0xab97e624, "iput" },
	{ 0xfdf7a3f9, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "28522E1DE126E8F4C92C490");
