#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_DATA(line6_midi_id, "_gpl", "");
KSYMTAB_FUNC(line6_send_raw_message, "_gpl", "");
KSYMTAB_FUNC(line6_send_raw_message_async, "_gpl", "");
KSYMTAB_FUNC(line6_version_request_async, "_gpl", "");
KSYMTAB_FUNC(line6_send_sysex_message, "_gpl", "");
KSYMTAB_FUNC(line6_alloc_sysex_buffer, "_gpl", "");
KSYMTAB_FUNC(line6_read_data, "_gpl", "");
KSYMTAB_FUNC(line6_write_data, "_gpl", "");
KSYMTAB_FUNC(line6_read_serial_number, "_gpl", "");
KSYMTAB_FUNC(line6_probe, "_gpl", "");
KSYMTAB_FUNC(line6_disconnect, "_gpl", "");
KSYMTAB_FUNC(line6_suspend, "_gpl", "");
KSYMTAB_FUNC(line6_resume, "_gpl", "");
KSYMTAB_FUNC(line6_init_midi, "_gpl", "");
KSYMTAB_FUNC(line6_pcm_acquire, "_gpl", "");
KSYMTAB_FUNC(line6_pcm_release, "_gpl", "");
KSYMTAB_FUNC(line6_init_pcm, "_gpl", "");

SYMBOL_CRC(line6_midi_id, 0x202a1b1b, "_gpl");
SYMBOL_CRC(line6_send_raw_message, 0xd4cdfce7, "_gpl");
SYMBOL_CRC(line6_send_raw_message_async, 0xb3b0624c, "_gpl");
SYMBOL_CRC(line6_version_request_async, 0xf872cf46, "_gpl");
SYMBOL_CRC(line6_send_sysex_message, 0xe169fd0e, "_gpl");
SYMBOL_CRC(line6_alloc_sysex_buffer, 0xa15ed263, "_gpl");
SYMBOL_CRC(line6_read_data, 0x9cb90ea5, "_gpl");
SYMBOL_CRC(line6_write_data, 0x2c71e0bc, "_gpl");
SYMBOL_CRC(line6_read_serial_number, 0xb0c95baf, "_gpl");
SYMBOL_CRC(line6_probe, 0x488c3011, "_gpl");
SYMBOL_CRC(line6_disconnect, 0x4d610c86, "_gpl");
SYMBOL_CRC(line6_suspend, 0x3ec1c87f, "_gpl");
SYMBOL_CRC(line6_resume, 0x7c40ca51, "_gpl");
SYMBOL_CRC(line6_init_midi, 0x1137ab7c, "_gpl");
SYMBOL_CRC(line6_pcm_acquire, 0xc0a54246, "_gpl");
SYMBOL_CRC(line6_pcm_release, 0xf3dd870e, "_gpl");
SYMBOL_CRC(line6_init_pcm, 0xd2389386, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xa1ea0395, "snd_card_new" },
	{ 0xcf783453, "usb_urb_ep_type_check" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x8a854f01, "_dev_err" },
	{ 0x1ada6ec9, "snd_hwdep_new" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x37ee72c6, "snd_rawmidi_transmit_peek" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x8fb5d6e2, "const_current_task" },
	{ 0xe5aadc75, "snd_card_free_when_closed" },
	{ 0xa32d616d, "usb_set_interface" },
	{ 0x99e0a209, "snd_pcm_set_ops" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x89940875, "mutex_lock_interruptible" },
	{ 0x2a59e6a5, "__fortify_panic" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0xe2d9d063, "snd_pcm_set_managed_buffer_all" },
	{ 0xfb578fc5, "memset" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x9d0129f8, "kmemdup_noprof" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0xc6cb465a, "__kfifo_max_r" },
	{ 0x0dc927f3, "snd_rawmidi_new" },
	{ 0xa7bb228f, "snd_card_disconnect" },
	{ 0xca58defe, "usb_unlink_urb" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x2e5dbe24, "snd_rawmidi_set_ops" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x2484adc3, "__kfifo_to_user_r" },
	{ 0xf4412901, "__kmalloc_cache_noprof" },
	{ 0x4d81e8ea, "usb_kill_urb" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xcf4cebef, "snd_pcm_period_elapsed" },
	{ 0x7846af3e, "__kfifo_len_r" },
	{ 0x754d539c, "strlen" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x6b76ca87, "kmalloc_caches" },
	{ 0x53bbefe1, "__trace_set_current_state" },
	{ 0x95cf5afe, "usb_alloc_urb" },
	{ 0xbaf598ff, "snd_rawmidi_receive" },
	{ 0x6ca15775, "usb_free_urb" },
	{ 0xfd63f5ac, "usb_control_msg_send" },
	{ 0x6a5cc518, "__kmalloc_noprof" },
	{ 0x2a196f04, "snd_ctl_add" },
	{ 0x31f8d099, "snd_pcm_new" },
	{ 0x1c9e978f, "memdup_user" },
	{ 0xe0ac6964, "usb_control_msg_recv" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0x69acdf38, "memcpy" },
	{ 0x037a0cba, "kfree" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0xe2964344, "__wake_up" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0x53a1cc41, "__dynamic_dev_dbg" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x51b9127e, "usb_interrupt_msg" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x3955fcf6, "__kfifo_in_r" },
	{ 0x982b660b, "snd_ctl_new1" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x01000e51, "schedule" },
	{ 0x03b2c9bf, "usb_put_dev" },
	{ 0xa4e71d17, "usb_bulk_msg" },
	{ 0x7e3102ca, "__tracepoint_sched_set_state_tp" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xa0a7303b, "snd_rawmidi_transmit_ack" },
	{ 0x362bcefd, "usb_get_dev" },
	{ 0x5c680ab9, "usb_submit_urb" },
	{ 0xa619a5c3, "_dev_info" },
	{ 0x9fb2f306, "snd_pcm_hw_constraint_ratdens" },
	{ 0xfdf7a3f9, "module_layout" },
};

MODULE_INFO(depends, "snd,usbcore,snd-hwdep,snd-rawmidi,snd-pcm");


MODULE_INFO(srcversion, "7DD4A530BEBC54D6137E74E");
