#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(hid_is_usb, "_gpl", "");
KSYMTAB_FUNC(hiddev_hid_event, "_gpl", "");
KSYMTAB_FUNC(hid_pidff_init_with_quirks, "_gpl", "");

SYMBOL_CRC(hid_is_usb, 0xff889569, "_gpl");
SYMBOL_CRC(hiddev_hid_event, 0x7ea729b8, "_gpl");
SYMBOL_CRC(hid_pidff_init_with_quirks, 0x37fc4eda, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x5c680ab9, "usb_submit_urb" },
	{ 0xa619a5c3, "_dev_info" },
	{ 0x7b0e9169, "usb_queue_reset_device" },
	{ 0xb8e188fc, "hid_alloc_report_buf" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0xa5b3e73a, "compat_ptr_ioctl" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x8a854f01, "_dev_err" },
	{ 0xcf7a3d4f, "usb_free_coherent" },
	{ 0x632c093f, "hid_set_field" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0xbeef21f7, "noop_llseek" },
	{ 0x6626afca, "down" },
	{ 0xa53290e3, "hid_hw_request" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xf5eb1cc1, "hid_hw_open" },
	{ 0xbaeaa06f, "usb_control_msg" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0xb32d4d7a, "usb_register_dev" },
	{ 0x574a25b0, "hid_check_keys_pressed" },
	{ 0x8fb5d6e2, "const_current_task" },
	{ 0x42df9549, "fasync_helper" },
	{ 0xb3e84e93, "usb_unpoison_urb" },
	{ 0x3c634473, "usb_autopm_put_interface_async" },
	{ 0xa3438e6f, "hid_hw_close" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x19d52f1f, "hid_quirks_exit" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x89940875, "mutex_lock_interruptible" },
	{ 0xf585ac86, "usb_deregister" },
	{ 0x2a59e6a5, "__fortify_panic" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x31198e5a, "usb_string" },
	{ 0xfb578fc5, "memset" },
	{ 0xc151c25b, "_dev_warn" },
	{ 0x4f37a672, "param_ops_charp" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0xce29cf37, "usb_block_urb" },
	{ 0xfb384d37, "kasprintf" },
	{ 0xaed20c19, "hid_input_report" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xca58defe, "usb_unlink_urb" },
	{ 0x6e5f0d79, "_dev_notice" },
	{ 0x999e8297, "vfree" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x1585501c, "usb_autopm_get_interface" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xb8ea8747, "input_ff_create" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xf4412901, "__kmalloc_cache_noprof" },
	{ 0x4ef3108c, "usb_deregister_dev" },
	{ 0x4d81e8ea, "usb_kill_urb" },
	{ 0xa6e36705, "vzalloc_noprof" },
	{ 0x03c12dfe, "cancel_work_sync" },
	{ 0x950022ed, "validate_usercopy_range" },
	{ 0x09b31a74, "hid_parse_report" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0x754d539c, "strlen" },
	{ 0xfa355613, "hid_quirks_init" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xd36760ef, "__usb_get_extra_descriptor" },
	{ 0xf9a482f9, "msleep" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x8acf8c04, "__dev_fwnode" },
	{ 0x6b76ca87, "kmalloc_caches" },
	{ 0x00e664e5, "hid_add_device" },
	{ 0x53bbefe1, "__trace_set_current_state" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xde64fa50, "hid_output_report" },
	{ 0x01d41fa6, "hid_lookup_quirk" },
	{ 0x95cf5afe, "usb_alloc_urb" },
	{ 0x6e8e4753, "device_set_wakeup_enable" },
	{ 0x4fcd8326, "usb_autopm_put_interface" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x6ca15775, "usb_free_urb" },
	{ 0x864fe4ad, "param_ops_uint" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x6a5cc518, "__kmalloc_noprof" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0x523b6f5a, "usb_alloc_coherent" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x963716a0, "hid_driver_suspend" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x76d1acaa, "kill_fasync" },
	{ 0xe6973cfb, "usb_register_driver" },
	{ 0xfa860130, "hid_driver_reset_resume" },
	{ 0xcf2a6966, "up" },
	{ 0x32c4d523, "param_array_ops" },
	{ 0xd5fd90f1, "prepare_to_wait" },
	{ 0x69acdf38, "memcpy" },
	{ 0x037a0cba, "kfree" },
	{ 0xccfe545a, "hidinput_count_leds" },
	{ 0x1a450182, "usb_autopm_put_interface_no_suspend" },
	{ 0xe5f0b1f4, "hid_driver_resume" },
	{ 0x42a9d842, "usb_autopm_get_interface_no_resume" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xe2964344, "__wake_up" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xff978227, "hid_allocate_device" },
	{ 0x53a1cc41, "__dynamic_dev_dbg" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x290e3a61, "hid_destroy_device" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x51b9127e, "usb_interrupt_msg" },
	{ 0xb8efcd86, "usb_find_interface" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x0ce3e477, "device_set_node" },
	{ 0x92997ed8, "_printk" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0x348ab9a5, "usb_clear_halt" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0x01000e51, "schedule" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x7e3102ca, "__tracepoint_sched_set_state_tp" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x56554b97, "__kmalloc_large_noprof" },
	{ 0x7682ba4e, "__copy_overflow" },
	{ 0x685cbe85, "usb_autopm_get_interface_async" },
	{ 0xa916b694, "strnlen" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0xfdf7a3f9, "module_layout" },
};

MODULE_INFO(depends, "usbcore");

MODULE_ALIAS("usb:v*p*d*dc*dsc*dp*ic03isc*ip*in*");

MODULE_INFO(srcversion, "16080EB6A95ECCACDCB73D2");
