#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(media_device_register_entity, "_gpl", "");
KSYMTAB_FUNC(media_device_unregister_entity, "_gpl", "");
KSYMTAB_FUNC(media_device_init, "_gpl", "");
KSYMTAB_FUNC(media_device_cleanup, "_gpl", "");
KSYMTAB_FUNC(__media_device_register, "_gpl", "");
KSYMTAB_FUNC(media_device_register_entity_notify, "_gpl", "");
KSYMTAB_FUNC(media_device_unregister_entity_notify, "_gpl", "");
KSYMTAB_FUNC(media_device_unregister, "_gpl", "");
KSYMTAB_FUNC(media_device_pci_init, "_gpl", "");
KSYMTAB_FUNC(__media_device_usb_init, "_gpl", "");
KSYMTAB_FUNC(media_entity_enum_init, "_gpl", "");
KSYMTAB_FUNC(media_entity_enum_cleanup, "_gpl", "");
KSYMTAB_FUNC(media_entity_pads_init, "_gpl", "");
KSYMTAB_FUNC(media_graph_walk_init, "_gpl", "");
KSYMTAB_FUNC(media_graph_walk_cleanup, "_gpl", "");
KSYMTAB_FUNC(media_graph_walk_start, "_gpl", "");
KSYMTAB_FUNC(media_graph_walk_next, "_gpl", "");
KSYMTAB_FUNC(__media_pipeline_start, "_gpl", "");
KSYMTAB_FUNC(media_pipeline_start, "_gpl", "");
KSYMTAB_FUNC(__media_pipeline_stop, "_gpl", "");
KSYMTAB_FUNC(media_pipeline_stop, "_gpl", "");
KSYMTAB_FUNC(media_pipeline_alloc_start, "_gpl", "");
KSYMTAB_FUNC(__media_pipeline_pad_iter_next, "_gpl", "");
KSYMTAB_FUNC(media_pipeline_entity_iter_init, "_gpl", "");
KSYMTAB_FUNC(media_pipeline_entity_iter_cleanup, "_gpl", "");
KSYMTAB_FUNC(__media_pipeline_entity_iter_next, "_gpl", "");
KSYMTAB_FUNC(media_get_pad_index, "_gpl", "");
KSYMTAB_FUNC(media_create_pad_link, "_gpl", "");
KSYMTAB_FUNC(media_create_pad_links, "_gpl", "");
KSYMTAB_FUNC(__media_entity_remove_links, "_gpl", "");
KSYMTAB_FUNC(media_entity_remove_links, "_gpl", "");
KSYMTAB_FUNC(__media_entity_setup_link, "_gpl", "");
KSYMTAB_FUNC(media_entity_setup_link, "_gpl", "");
KSYMTAB_FUNC(media_entity_find_link, "_gpl", "");
KSYMTAB_FUNC(media_pad_remote_pad_first, "_gpl", "");
KSYMTAB_FUNC(media_entity_remote_pad_unique, "_gpl", "");
KSYMTAB_FUNC(media_pad_remote_pad_unique, "_gpl", "");
KSYMTAB_FUNC(media_entity_get_fwnode_pad, "_gpl", "");
KSYMTAB_FUNC(media_entity_pipeline, "_gpl", "");
KSYMTAB_FUNC(media_pad_pipeline, "_gpl", "");
KSYMTAB_FUNC(media_devnode_create, "_gpl", "");
KSYMTAB_FUNC(media_devnode_remove, "_gpl", "");
KSYMTAB_FUNC(media_create_intf_link, "_gpl", "");
KSYMTAB_FUNC(__media_remove_intf_link, "_gpl", "");
KSYMTAB_FUNC(media_remove_intf_link, "_gpl", "");
KSYMTAB_FUNC(__media_remove_intf_links, "_gpl", "");
KSYMTAB_FUNC(media_remove_intf_links, "_gpl", "");
KSYMTAB_FUNC(media_create_ancillary_link, "_gpl", "");
KSYMTAB_FUNC(__media_entity_next_link, "_gpl", "");
KSYMTAB_FUNC(media_request_put, "_gpl", "");
KSYMTAB_FUNC(media_request_get_by_fd, "_gpl", "");
KSYMTAB_FUNC(media_request_object_find, "_gpl", "");
KSYMTAB_FUNC(media_request_object_put, "_gpl", "");
KSYMTAB_FUNC(media_request_object_init, "_gpl", "");
KSYMTAB_FUNC(media_request_object_bind, "_gpl", "");
KSYMTAB_FUNC(media_request_object_unbind, "_gpl", "");
KSYMTAB_FUNC(media_request_object_complete, "_gpl", "");
KSYMTAB_FUNC(media_device_usb_allocate, "_gpl", "");
KSYMTAB_FUNC(media_device_delete, "_gpl", "");

SYMBOL_CRC(media_device_register_entity, 0xa3936ded, "_gpl");
SYMBOL_CRC(media_device_unregister_entity, 0xfecaf23f, "_gpl");
SYMBOL_CRC(media_device_init, 0x7d9f59d7, "_gpl");
SYMBOL_CRC(media_device_cleanup, 0xfb9f529a, "_gpl");
SYMBOL_CRC(__media_device_register, 0x63a069fd, "_gpl");
SYMBOL_CRC(media_device_register_entity_notify, 0x65ee83da, "_gpl");
SYMBOL_CRC(media_device_unregister_entity_notify, 0x69b8be75, "_gpl");
SYMBOL_CRC(media_device_unregister, 0x4b5696ae, "_gpl");
SYMBOL_CRC(media_device_pci_init, 0xb95a97a1, "_gpl");
SYMBOL_CRC(__media_device_usb_init, 0x998a9684, "_gpl");
SYMBOL_CRC(media_entity_enum_init, 0xd9823921, "_gpl");
SYMBOL_CRC(media_entity_enum_cleanup, 0xe5ceecd6, "_gpl");
SYMBOL_CRC(media_entity_pads_init, 0xd5fd3556, "_gpl");
SYMBOL_CRC(media_graph_walk_init, 0x3863496c, "_gpl");
SYMBOL_CRC(media_graph_walk_cleanup, 0x179e8f83, "_gpl");
SYMBOL_CRC(media_graph_walk_start, 0x456b2d4d, "_gpl");
SYMBOL_CRC(media_graph_walk_next, 0x9b6572e8, "_gpl");
SYMBOL_CRC(__media_pipeline_start, 0xbff9bc18, "_gpl");
SYMBOL_CRC(media_pipeline_start, 0x56467412, "_gpl");
SYMBOL_CRC(__media_pipeline_stop, 0x016b135d, "_gpl");
SYMBOL_CRC(media_pipeline_stop, 0xc46c44fa, "_gpl");
SYMBOL_CRC(media_pipeline_alloc_start, 0xedd5fceb, "_gpl");
SYMBOL_CRC(__media_pipeline_pad_iter_next, 0xc5e3a870, "_gpl");
SYMBOL_CRC(media_pipeline_entity_iter_init, 0x1b6833d4, "_gpl");
SYMBOL_CRC(media_pipeline_entity_iter_cleanup, 0x65dd67e0, "_gpl");
SYMBOL_CRC(__media_pipeline_entity_iter_next, 0x1c326e82, "_gpl");
SYMBOL_CRC(media_get_pad_index, 0x379f8914, "_gpl");
SYMBOL_CRC(media_create_pad_link, 0x6e2c7fb2, "_gpl");
SYMBOL_CRC(media_create_pad_links, 0x0fc01441, "_gpl");
SYMBOL_CRC(__media_entity_remove_links, 0x78c878e0, "_gpl");
SYMBOL_CRC(media_entity_remove_links, 0x236cdc93, "_gpl");
SYMBOL_CRC(__media_entity_setup_link, 0x0a331955, "_gpl");
SYMBOL_CRC(media_entity_setup_link, 0x9a3bed3e, "_gpl");
SYMBOL_CRC(media_entity_find_link, 0x81aa21e5, "_gpl");
SYMBOL_CRC(media_pad_remote_pad_first, 0xa6ccb439, "_gpl");
SYMBOL_CRC(media_entity_remote_pad_unique, 0x0525ce64, "_gpl");
SYMBOL_CRC(media_pad_remote_pad_unique, 0x2fbd0068, "_gpl");
SYMBOL_CRC(media_entity_get_fwnode_pad, 0x3ba5c15d, "_gpl");
SYMBOL_CRC(media_entity_pipeline, 0xf02e4b8e, "_gpl");
SYMBOL_CRC(media_pad_pipeline, 0x57c14962, "_gpl");
SYMBOL_CRC(media_devnode_create, 0x8a5a26b9, "_gpl");
SYMBOL_CRC(media_devnode_remove, 0x5ca34c81, "_gpl");
SYMBOL_CRC(media_create_intf_link, 0xb7c9e388, "_gpl");
SYMBOL_CRC(__media_remove_intf_link, 0xd9ea58e5, "_gpl");
SYMBOL_CRC(media_remove_intf_link, 0xc4eae194, "_gpl");
SYMBOL_CRC(__media_remove_intf_links, 0x56a9cdad, "_gpl");
SYMBOL_CRC(media_remove_intf_links, 0x9ffe498f, "_gpl");
SYMBOL_CRC(media_create_ancillary_link, 0x533ae31f, "_gpl");
SYMBOL_CRC(__media_entity_next_link, 0xf683175d, "_gpl");
SYMBOL_CRC(media_request_put, 0x14436ef7, "_gpl");
SYMBOL_CRC(media_request_get_by_fd, 0xf86c7046, "_gpl");
SYMBOL_CRC(media_request_object_find, 0x5d2413bb, "_gpl");
SYMBOL_CRC(media_request_object_put, 0x5f0e7a1d, "_gpl");
SYMBOL_CRC(media_request_object_init, 0xe3375fc0, "_gpl");
SYMBOL_CRC(media_request_object_bind, 0x1b1d01d5, "_gpl");
SYMBOL_CRC(media_request_object_unbind, 0xa6c27a6a, "_gpl");
SYMBOL_CRC(media_request_object_complete, 0x1cb4eed3, "_gpl");
SYMBOL_CRC(media_device_usb_allocate, 0x66c0b9e2, "_gpl");
SYMBOL_CRC(media_device_delete, 0xd81d972b, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x53a1cc41, "__dynamic_dev_dbg" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x3f4547a7, "put_unused_fd" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x92997ed8, "_printk" },
	{ 0xc397c3b8, "cdev_device_add" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x0296695f, "refcount_warn_saturate" },
	{ 0x2656775e, "put_device" },
	{ 0xa916b694, "strnlen" },
	{ 0xb5602f93, "fwnode_graph_parse_endpoint" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x029bbbf9, "module_put" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x5d14720b, "device_create_file" },
	{ 0xc9f13deb, "bus_unregister" },
	{ 0xe247cb94, "fput" },
	{ 0x8a854f01, "_dev_err" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xffb7c514, "ida_free" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x2a59e6a5, "__fortify_panic" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0xfb578fc5, "memset" },
	{ 0xc151c25b, "_dev_warn" },
	{ 0x2688ec10, "bitmap_zalloc" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x7230beea, "fdget" },
	{ 0x6091b333, "unregister_chrdev_region" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xa843805a, "get_unused_fd_flags" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0xee0e4993, "platform_bus_type" },
	{ 0x74661556, "kobject_set_name" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xf4412901, "__kmalloc_cache_noprof" },
	{ 0x950022ed, "validate_usercopy_range" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0x19d55844, "cdev_init" },
	{ 0x078856fa, "pci_bus_type" },
	{ 0x6b76ca87, "kmalloc_caches" },
	{ 0xf09fd009, "krealloc_noprof" },
	{ 0xbfc44345, "device_remove_file" },
	{ 0x92ce14d4, "bus_register" },
	{ 0xe7a02573, "ida_alloc_range" },
	{ 0x3706366a, "try_module_get" },
	{ 0xe3ec2f2b, "alloc_chrdev_region" },
	{ 0x5b256d79, "anon_inode_getfile" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0xa7d5f92e, "ida_destroy" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x6a5cc518, "__kmalloc_noprof" },
	{ 0x24fa903f, "dev_set_name" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x28eedfcc, "cdev_device_del" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0xcf7d078c, "device_initialize" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0x73d05fef, "fd_install" },
	{ 0x037a0cba, "kfree" },
	{ 0xe2964344, "__wake_up" },
	{ 0x3cffbc23, "get_device" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xca21ebd3, "bitmap_free" },
	{ 0xfdf7a3f9, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "4CEF93373F93DA69D803204");
