#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(usbnet_get_endpoints, "_gpl", "");
KSYMTAB_FUNC(usbnet_get_ethernet_addr, "_gpl", "");
KSYMTAB_FUNC(usbnet_status_start, "_gpl", "");
KSYMTAB_FUNC(usbnet_status_stop, "_gpl", "");
KSYMTAB_FUNC(usbnet_skb_return, "_gpl", "");
KSYMTAB_FUNC(usbnet_update_max_qlen, "_gpl", "");
KSYMTAB_FUNC(usbnet_change_mtu, "_gpl", "");
KSYMTAB_FUNC(usbnet_defer_kevent, "_gpl", "");
KSYMTAB_FUNC(usbnet_pause_rx, "_gpl", "");
KSYMTAB_FUNC(usbnet_resume_rx, "_gpl", "");
KSYMTAB_FUNC(usbnet_purge_paused_rxq, "_gpl", "");
KSYMTAB_FUNC(usbnet_unlink_rx_urbs, "_gpl", "");
KSYMTAB_FUNC(usbnet_stop, "_gpl", "");
KSYMTAB_FUNC(usbnet_open, "_gpl", "");
KSYMTAB_FUNC(usbnet_get_link_ksettings_mii, "_gpl", "");
KSYMTAB_FUNC(usbnet_get_link_ksettings_internal, "_gpl", "");
KSYMTAB_FUNC(usbnet_set_link_ksettings_mii, "_gpl", "");
KSYMTAB_FUNC(usbnet_get_link, "_gpl", "");
KSYMTAB_FUNC(usbnet_nway_reset, "_gpl", "");
KSYMTAB_FUNC(usbnet_get_drvinfo, "_gpl", "");
KSYMTAB_FUNC(usbnet_get_msglevel, "_gpl", "");
KSYMTAB_FUNC(usbnet_set_msglevel, "_gpl", "");
KSYMTAB_FUNC(usbnet_set_rx_mode, "_gpl", "");
KSYMTAB_FUNC(usbnet_tx_timeout, "_gpl", "");
KSYMTAB_FUNC(usbnet_start_xmit, "_gpl", "");
KSYMTAB_FUNC(usbnet_disconnect, "_gpl", "");
KSYMTAB_FUNC(usbnet_probe, "_gpl", "");
KSYMTAB_FUNC(usbnet_suspend, "_gpl", "");
KSYMTAB_FUNC(usbnet_resume, "_gpl", "");
KSYMTAB_FUNC(usbnet_device_suggests_idle, "", "");
KSYMTAB_FUNC(usbnet_manage_power, "", "");
KSYMTAB_FUNC(usbnet_link_change, "", "");
KSYMTAB_FUNC(usbnet_read_cmd, "_gpl", "");
KSYMTAB_FUNC(usbnet_write_cmd, "_gpl", "");
KSYMTAB_FUNC(usbnet_read_cmd_nopm, "_gpl", "");
KSYMTAB_FUNC(usbnet_write_cmd_nopm, "_gpl", "");
KSYMTAB_FUNC(usbnet_write_cmd_async, "_gpl", "");

SYMBOL_CRC(usbnet_get_endpoints, 0x03b65d40, "_gpl");
SYMBOL_CRC(usbnet_get_ethernet_addr, 0x2833d1bc, "_gpl");
SYMBOL_CRC(usbnet_status_start, 0x0d9eaad3, "_gpl");
SYMBOL_CRC(usbnet_status_stop, 0x31e786e0, "_gpl");
SYMBOL_CRC(usbnet_skb_return, 0x0554a2ca, "_gpl");
SYMBOL_CRC(usbnet_update_max_qlen, 0xb7b0a499, "_gpl");
SYMBOL_CRC(usbnet_change_mtu, 0xf063792c, "_gpl");
SYMBOL_CRC(usbnet_defer_kevent, 0x7dff0306, "_gpl");
SYMBOL_CRC(usbnet_pause_rx, 0x3421a7ae, "_gpl");
SYMBOL_CRC(usbnet_resume_rx, 0x0778e4a3, "_gpl");
SYMBOL_CRC(usbnet_purge_paused_rxq, 0x8a07af72, "_gpl");
SYMBOL_CRC(usbnet_unlink_rx_urbs, 0x6cc2de7b, "_gpl");
SYMBOL_CRC(usbnet_stop, 0x4ed23f64, "_gpl");
SYMBOL_CRC(usbnet_open, 0x240d25ef, "_gpl");
SYMBOL_CRC(usbnet_get_link_ksettings_mii, 0x549285bc, "_gpl");
SYMBOL_CRC(usbnet_get_link_ksettings_internal, 0x75a924e8, "_gpl");
SYMBOL_CRC(usbnet_set_link_ksettings_mii, 0xfbecc84d, "_gpl");
SYMBOL_CRC(usbnet_get_link, 0xa68d2d6e, "_gpl");
SYMBOL_CRC(usbnet_nway_reset, 0x02753377, "_gpl");
SYMBOL_CRC(usbnet_get_drvinfo, 0x5508e68a, "_gpl");
SYMBOL_CRC(usbnet_get_msglevel, 0x102be60c, "_gpl");
SYMBOL_CRC(usbnet_set_msglevel, 0x9023e369, "_gpl");
SYMBOL_CRC(usbnet_set_rx_mode, 0x7efa46a5, "_gpl");
SYMBOL_CRC(usbnet_tx_timeout, 0x839abdec, "_gpl");
SYMBOL_CRC(usbnet_start_xmit, 0xe7b888b7, "_gpl");
SYMBOL_CRC(usbnet_disconnect, 0xa4ac6cca, "_gpl");
SYMBOL_CRC(usbnet_probe, 0x86acd2d2, "_gpl");
SYMBOL_CRC(usbnet_suspend, 0x770bddf4, "_gpl");
SYMBOL_CRC(usbnet_resume, 0x0cbb4dc7, "_gpl");
SYMBOL_CRC(usbnet_device_suggests_idle, 0x606a73ac, "");
SYMBOL_CRC(usbnet_manage_power, 0x2f7b5e57, "");
SYMBOL_CRC(usbnet_link_change, 0x64f76165, "");
SYMBOL_CRC(usbnet_read_cmd, 0x761c2e08, "_gpl");
SYMBOL_CRC(usbnet_write_cmd, 0x09b198b5, "_gpl");
SYMBOL_CRC(usbnet_read_cmd_nopm, 0x68cda9bb, "_gpl");
SYMBOL_CRC(usbnet_write_cmd_nopm, 0x4793f082, "_gpl");
SYMBOL_CRC(usbnet_write_cmd_async, 0x17db328a, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xa32d616d, "usb_set_interface" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0x31198e5a, "usb_string" },
	{ 0x53a1cc41, "__dynamic_dev_dbg" },
	{ 0x50cf7585, "hex2bin" },
	{ 0xacc9370b, "dev_addr_mod" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x9668fb67, "this_cpu_off" },
	{ 0x5232b58f, "netif_rx" },
	{ 0x0f5729a7, "eth_type_trans" },
	{ 0xe65b6336, "skb_queue_tail" },
	{ 0x0e62e8f0, "__dynamic_netdev_dbg" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xef7de6a9, "skb_dequeue" },
	{ 0x9d2ab8ac, "__tasklet_schedule" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x5be61e6c, "skb_queue_purge_reason" },
	{ 0x54d26c14, "usb_get_urb" },
	{ 0xca58defe, "usb_unlink_urb" },
	{ 0x6ca15775, "usb_free_urb" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x8fb5d6e2, "const_current_task" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x7e3102ca, "__tracepoint_sched_set_state_tp" },
	{ 0x53bbefe1, "__trace_set_current_state" },
	{ 0xaad8c7d6, "default_wake_function" },
	{ 0x4afb2238, "add_wait_queue" },
	{ 0x37110088, "remove_wait_queue" },
	{ 0x5c680ab9, "usb_submit_urb" },
	{ 0xb3a8affd, "netdev_err" },
	{ 0x443dfec0, "mii_ethtool_get_link_ksettings" },
	{ 0xe847e02f, "mii_ethtool_set_link_ksettings" },
	{ 0xd4892664, "mii_nway_restart" },
	{ 0x037a0cba, "kfree" },
	{ 0x3c634473, "usb_autopm_put_interface_async" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x9dfa37f7, "unregister_netdev" },
	{ 0x0f3df91c, "consume_skb" },
	{ 0xea220dad, "usb_get_from_anchor" },
	{ 0x4d81e8ea, "usb_kill_urb" },
	{ 0x74a11a03, "free_netdev" },
	{ 0xb5f5887b, "netdev_info" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0x9faedf2c, "netif_device_detach" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x3ae30658, "netif_device_attach" },
	{ 0x6a5cc518, "__kmalloc_noprof" },
	{ 0xbaeaa06f, "usb_control_msg" },
	{ 0x69acdf38, "memcpy" },
	{ 0x1585501c, "usb_autopm_get_interface" },
	{ 0x4fcd8326, "usb_autopm_put_interface" },
	{ 0x9d0129f8, "kmemdup_noprof" },
	{ 0x95cf5afe, "usb_alloc_urb" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x6b76ca87, "kmalloc_caches" },
	{ 0xf4412901, "__kmalloc_cache_noprof" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0x0ea3c74e, "tasklet_kill" },
	{ 0x03c12dfe, "cancel_work_sync" },
	{ 0xe9d1256f, "mii_link_ok" },
	{ 0x9b2ecc69, "ethtool_op_get_link" },
	{ 0x98478958, "netif_carrier_on" },
	{ 0xd7867b01, "netif_carrier_off" },
	{ 0xa916b694, "strnlen" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x2a59e6a5, "__fortify_panic" },
	{ 0xfcc74410, "__netdev_alloc_skb" },
	{ 0xcb920967, "dev_kfree_skb_any_reason" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xe2964344, "__wake_up" },
	{ 0xf58f2d40, "netif_tx_wake_queue" },
	{ 0x0e868bfd, "skb_put" },
	{ 0x348ab9a5, "usb_clear_halt" },
	{ 0x2cf0c910, "sg_init_table" },
	{ 0x531b604e, "__virt_addr_valid" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x685cbe85, "usb_autopm_get_interface_async" },
	{ 0x7763a4e1, "skb_tstamp_tx" },
	{ 0xd6bb6b3a, "usb_anchor_urb" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x42a9d842, "usb_autopm_get_interface_no_resume" },
	{ 0xf3720c10, "alloc_etherdev_mqs" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0xa07d1b3c, "tasklet_setup" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0xb30ebbdb, "register_netdev" },
	{ 0xb848cd6b, "pm_runtime_enable" },
	{ 0xf6d7e0b2, "usb_check_bulk_endpoints" },
	{ 0x70f35a15, "eth_mac_addr" },
	{ 0x17bcb709, "eth_validate_addr" },
	{ 0x83e951d4, "ethtool_op_get_ts_info" },
	{ 0x50f79842, "param_ops_int" },
	{ 0xfdf7a3f9, "module_layout" },
};

MODULE_INFO(depends, "usbcore,mii");


MODULE_INFO(srcversion, "9F7DC8FB1CC7A363B75917F");
