#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(mt76_set_irq_mask, "_gpl", "");
KSYMTAB_FUNC(mt76_mmio_init, "_gpl", "");
KSYMTAB_FUNC(__mt76_poll, "_gpl", "");
KSYMTAB_FUNC(____mt76_poll_msec, "_gpl", "");
KSYMTAB_FUNC(mt76_wcid_alloc, "_gpl", "");
KSYMTAB_FUNC(mt76_get_min_avg_rssi, "_gpl", "");
KSYMTAB_FUNC(__mt76_worker_fn, "_gpl", "");
KSYMTAB_DATA(__tracepoint_mac_txdone, "_gpl", "");
KSYMTAB_FUNC(__traceiter_mac_txdone, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_mac_txdone, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_mac_txdone, "_gpl", "");
KSYMTAB_DATA(__tracepoint_dev_irq, "_gpl", "");
KSYMTAB_FUNC(__traceiter_dev_irq, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_dev_irq, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_dev_irq, "_gpl", "");
KSYMTAB_FUNC(mt76_get_rxwi, "_gpl", "");
KSYMTAB_FUNC(mt76_put_txwi, "_gpl", "");
KSYMTAB_FUNC(mt76_put_rxwi, "_gpl", "");
KSYMTAB_FUNC(mt76_free_pending_rxwi, "_gpl", "");
KSYMTAB_FUNC(mt76_dma_rx_poll, "_gpl", "");
KSYMTAB_FUNC(mt76_dma_attach, "_gpl", "");
KSYMTAB_FUNC(mt76_dma_cleanup, "_gpl", "");
KSYMTAB_DATA(mt76_rates, "_gpl", "");
KSYMTAB_FUNC(mt76_set_stream_caps, "_gpl", "");
KSYMTAB_FUNC(mt76_alloc_radio_phy, "_gpl", "");
KSYMTAB_FUNC(mt76_alloc_phy, "_gpl", "");
KSYMTAB_FUNC(mt76_register_phy, "_gpl", "");
KSYMTAB_FUNC(mt76_unregister_phy, "_gpl", "");
KSYMTAB_FUNC(mt76_create_page_pool, "_gpl", "");
KSYMTAB_FUNC(mt76_alloc_device, "_gpl", "");
KSYMTAB_FUNC(mt76_register_device, "_gpl", "");
KSYMTAB_FUNC(mt76_unregister_device, "_gpl", "");
KSYMTAB_FUNC(mt76_free_device, "_gpl", "");
KSYMTAB_FUNC(mt76_vif_phy, "_gpl", "");
KSYMTAB_FUNC(mt76_rx, "_gpl", "");
KSYMTAB_FUNC(mt76_has_tx_pending, "_gpl", "");
KSYMTAB_FUNC(mt76_update_survey_active_time, "_gpl", "");
KSYMTAB_FUNC(mt76_update_survey, "_gpl", "");
KSYMTAB_FUNC(mt76_update_channel, "_gpl", "");
KSYMTAB_FUNC(mt76_get_survey, "_gpl", "");
KSYMTAB_FUNC(mt76_wcid_key_setup, "", "");
KSYMTAB_FUNC(mt76_rx_signal, "", "");
KSYMTAB_FUNC(mt76_rx_poll_complete, "_gpl", "");
KSYMTAB_FUNC(__mt76_sta_remove, "_gpl", "");
KSYMTAB_FUNC(mt76_sta_state, "_gpl", "");
KSYMTAB_FUNC(mt76_sta_pre_rcu_remove, "_gpl", "");
KSYMTAB_FUNC(mt76_wcid_init, "_gpl", "");
KSYMTAB_FUNC(mt76_wcid_cleanup, "_gpl", "");
KSYMTAB_FUNC(mt76_wcid_add_poll, "_gpl", "");
KSYMTAB_FUNC(mt76_get_power_bound, "_gpl", "");
KSYMTAB_FUNC(mt76_get_txpower, "_gpl", "");
KSYMTAB_FUNC(mt76_init_sar_power, "_gpl", "");
KSYMTAB_FUNC(mt76_get_sar_power, "_gpl", "");
KSYMTAB_FUNC(mt76_csa_finish, "_gpl", "");
KSYMTAB_FUNC(mt76_csa_check, "_gpl", "");
KSYMTAB_FUNC(mt76_set_tim, "_gpl", "");
KSYMTAB_FUNC(mt76_insert_ccmp_hdr, "_gpl", "");
KSYMTAB_FUNC(mt76_get_rate, "_gpl", "");
KSYMTAB_FUNC(mt76_sw_scan, "_gpl", "");
KSYMTAB_FUNC(mt76_sw_scan_complete, "_gpl", "");
KSYMTAB_FUNC(mt76_get_antenna, "_gpl", "");
KSYMTAB_FUNC(mt76_init_queue, "_gpl", "");
KSYMTAB_FUNC(mt76_ethtool_worker, "_gpl", "");
KSYMTAB_FUNC(mt76_ethtool_page_pool_stats, "_gpl", "");
KSYMTAB_FUNC(mt76_phy_dfs_state, "_gpl", "");
KSYMTAB_FUNC(mt76_vif_cleanup, "_gpl", "");
KSYMTAB_FUNC(mt76_queues_read, "_gpl", "");
KSYMTAB_FUNC(mt76_seq_puts_array, "_gpl", "");
KSYMTAB_FUNC(mt76_register_debugfs_fops, "_gpl", "");
KSYMTAB_FUNC(mt76_get_of_data_from_mtd, "_gpl", "");
KSYMTAB_FUNC(mt76_get_of_data_from_nvmem, "_gpl", "");
KSYMTAB_FUNC(mt76_eeprom_override, "_gpl", "");
KSYMTAB_FUNC(mt76_find_power_limits_node, "_gpl", "");
KSYMTAB_FUNC(mt76_find_channel_node, "_gpl", "");
KSYMTAB_FUNC(mt76_get_rate_power_limits, "_gpl", "");
KSYMTAB_FUNC(mt76_eeprom_init, "_gpl", "");
KSYMTAB_FUNC(mt76_tx_check_agg_ssn, "_gpl", "");
KSYMTAB_FUNC(mt76_tx_status_lock, "_gpl", "");
KSYMTAB_FUNC(mt76_tx_status_unlock, "_gpl", "");
KSYMTAB_FUNC(mt76_tx_status_skb_done, "_gpl", "");
KSYMTAB_FUNC(mt76_tx_status_skb_add, "_gpl", "");
KSYMTAB_FUNC(mt76_tx_status_skb_get, "_gpl", "");
KSYMTAB_FUNC(mt76_tx_status_check, "_gpl", "");
KSYMTAB_FUNC(__mt76_tx_complete_skb, "_gpl", "");
KSYMTAB_FUNC(mt76_tx, "_gpl", "");
KSYMTAB_FUNC(mt76_release_buffered_frames, "_gpl", "");
KSYMTAB_FUNC(mt76_txq_schedule, "_gpl", "");
KSYMTAB_FUNC(mt76_txq_schedule_all, "_gpl", "");
KSYMTAB_FUNC(mt76_tx_worker_run, "_gpl", "");
KSYMTAB_FUNC(mt76_stop_tx_queues, "_gpl", "");
KSYMTAB_FUNC(mt76_wake_tx_queue, "_gpl", "");
KSYMTAB_FUNC(mt76_ac_to_hwq, "_gpl", "");
KSYMTAB_FUNC(mt76_skb_adjust_pad, "_gpl", "");
KSYMTAB_FUNC(mt76_queue_tx_complete, "_gpl", "");
KSYMTAB_FUNC(__mt76_set_tx_blocked, "_gpl", "");
KSYMTAB_FUNC(mt76_token_consume, "_gpl", "");
KSYMTAB_FUNC(mt76_rx_token_consume, "_gpl", "");
KSYMTAB_FUNC(mt76_token_release, "_gpl", "");
KSYMTAB_FUNC(mt76_rx_token_release, "_gpl", "");
KSYMTAB_FUNC(mt76_rx_aggr_start, "_gpl", "");
KSYMTAB_FUNC(mt76_rx_aggr_stop, "_gpl", "");
KSYMTAB_FUNC(__mt76_mcu_msg_alloc, "_gpl", "");
KSYMTAB_FUNC(mt76_mcu_get_response, "_gpl", "");
KSYMTAB_FUNC(mt76_mcu_rx_event, "_gpl", "");
KSYMTAB_FUNC(mt76_mcu_send_and_get_msg, "_gpl", "");
KSYMTAB_FUNC(mt76_mcu_skb_send_and_get_msg, "_gpl", "");
KSYMTAB_FUNC(__mt76_mcu_send_firmware, "_gpl", "");
KSYMTAB_FUNC(mt76_wed_release_rx_buf, "_gpl", "");
KSYMTAB_FUNC(mt76_wed_offload_disable, "_gpl", "");
KSYMTAB_FUNC(mt76_wed_reset_complete, "_gpl", "");
KSYMTAB_FUNC(mt76_wed_net_setup_tc, "_gpl", "");
KSYMTAB_FUNC(mt76_wed_dma_reset, "_gpl", "");
KSYMTAB_FUNC(mt76_hw_scan, "_gpl", "");
KSYMTAB_FUNC(mt76_cancel_hw_scan, "_gpl", "");
KSYMTAB_FUNC(mt76_add_chanctx, "_gpl", "");
KSYMTAB_FUNC(mt76_remove_chanctx, "_gpl", "");
KSYMTAB_FUNC(mt76_change_chanctx, "_gpl", "");
KSYMTAB_FUNC(mt76_assign_vif_chanctx, "_gpl", "");
KSYMTAB_FUNC(mt76_unassign_vif_chanctx, "_gpl", "");
KSYMTAB_FUNC(mt76_switch_vif_chanctx, "_gpl", "");
KSYMTAB_FUNC(mt76_remain_on_channel, "_gpl", "");
KSYMTAB_FUNC(mt76_cancel_remain_on_channel, "_gpl", "");
KSYMTAB_FUNC(mt76_pci_disable_aspm, "_gpl", "");
KSYMTAB_FUNC(mt76_pci_aspm_supported, "_gpl", "");

SYMBOL_CRC(mt76_set_irq_mask, 0x1b9c4f98, "_gpl");
SYMBOL_CRC(mt76_mmio_init, 0xb4e4e338, "_gpl");
SYMBOL_CRC(__mt76_poll, 0x3fdb7bfa, "_gpl");
SYMBOL_CRC(____mt76_poll_msec, 0x625a57cf, "_gpl");
SYMBOL_CRC(mt76_wcid_alloc, 0xe40b66ef, "_gpl");
SYMBOL_CRC(mt76_get_min_avg_rssi, 0xeb5e507c, "_gpl");
SYMBOL_CRC(__mt76_worker_fn, 0x1ec57b4f, "_gpl");
SYMBOL_CRC(__tracepoint_mac_txdone, 0x7df6ceb9, "_gpl");
SYMBOL_CRC(__traceiter_mac_txdone, 0xdf62d603, "_gpl");
SYMBOL_CRC(__SCK__tp_func_mac_txdone, 0x2afaa6ca, "_gpl");
SYMBOL_CRC(__SCT__tp_func_mac_txdone, 0xbb31a266, "_gpl");
SYMBOL_CRC(__tracepoint_dev_irq, 0xce54af92, "_gpl");
SYMBOL_CRC(__traceiter_dev_irq, 0x7c065427, "_gpl");
SYMBOL_CRC(__SCK__tp_func_dev_irq, 0x56cd8bad, "_gpl");
SYMBOL_CRC(__SCT__tp_func_dev_irq, 0xe45628cb, "_gpl");
SYMBOL_CRC(mt76_get_rxwi, 0xdf9e504a, "_gpl");
SYMBOL_CRC(mt76_put_txwi, 0x524f51fb, "_gpl");
SYMBOL_CRC(mt76_put_rxwi, 0x38ef3cd7, "_gpl");
SYMBOL_CRC(mt76_free_pending_rxwi, 0x3636ca76, "_gpl");
SYMBOL_CRC(mt76_dma_rx_poll, 0xcc1eeed0, "_gpl");
SYMBOL_CRC(mt76_dma_attach, 0x68416960, "_gpl");
SYMBOL_CRC(mt76_dma_cleanup, 0xcebd116f, "_gpl");
SYMBOL_CRC(mt76_rates, 0x17f568e9, "_gpl");
SYMBOL_CRC(mt76_set_stream_caps, 0x30403fbe, "_gpl");
SYMBOL_CRC(mt76_alloc_radio_phy, 0x93c9264d, "_gpl");
SYMBOL_CRC(mt76_alloc_phy, 0x4133a602, "_gpl");
SYMBOL_CRC(mt76_register_phy, 0xaf80147d, "_gpl");
SYMBOL_CRC(mt76_unregister_phy, 0x52a83e16, "_gpl");
SYMBOL_CRC(mt76_create_page_pool, 0xb24b9391, "_gpl");
SYMBOL_CRC(mt76_alloc_device, 0x358f8ada, "_gpl");
SYMBOL_CRC(mt76_register_device, 0x69ae5c6a, "_gpl");
SYMBOL_CRC(mt76_unregister_device, 0x57a3fac5, "_gpl");
SYMBOL_CRC(mt76_free_device, 0x91a9887b, "_gpl");
SYMBOL_CRC(mt76_vif_phy, 0xa990512a, "_gpl");
SYMBOL_CRC(mt76_rx, 0xf401a21f, "_gpl");
SYMBOL_CRC(mt76_has_tx_pending, 0x401f564f, "_gpl");
SYMBOL_CRC(mt76_update_survey_active_time, 0xd8b48606, "_gpl");
SYMBOL_CRC(mt76_update_survey, 0x5c212c43, "_gpl");
SYMBOL_CRC(mt76_update_channel, 0x147eabfd, "_gpl");
SYMBOL_CRC(mt76_get_survey, 0x0c84909b, "_gpl");
SYMBOL_CRC(mt76_wcid_key_setup, 0x33d2499d, "");
SYMBOL_CRC(mt76_rx_signal, 0x327a9822, "");
SYMBOL_CRC(mt76_rx_poll_complete, 0x44269bfd, "_gpl");
SYMBOL_CRC(__mt76_sta_remove, 0xe235bab3, "_gpl");
SYMBOL_CRC(mt76_sta_state, 0x71c4ced0, "_gpl");
SYMBOL_CRC(mt76_sta_pre_rcu_remove, 0x1c82752a, "_gpl");
SYMBOL_CRC(mt76_wcid_init, 0xca0cbcac, "_gpl");
SYMBOL_CRC(mt76_wcid_cleanup, 0xfc629a30, "_gpl");
SYMBOL_CRC(mt76_wcid_add_poll, 0x8b05e996, "_gpl");
SYMBOL_CRC(mt76_get_power_bound, 0x29416964, "_gpl");
SYMBOL_CRC(mt76_get_txpower, 0x9d61b4da, "_gpl");
SYMBOL_CRC(mt76_init_sar_power, 0xc1e6dc5b, "_gpl");
SYMBOL_CRC(mt76_get_sar_power, 0xda5972dd, "_gpl");
SYMBOL_CRC(mt76_csa_finish, 0xff15476f, "_gpl");
SYMBOL_CRC(mt76_csa_check, 0xa7a67a65, "_gpl");
SYMBOL_CRC(mt76_set_tim, 0x3c63e7ea, "_gpl");
SYMBOL_CRC(mt76_insert_ccmp_hdr, 0xedb25bfa, "_gpl");
SYMBOL_CRC(mt76_get_rate, 0xe0ff2046, "_gpl");
SYMBOL_CRC(mt76_sw_scan, 0xaba5e691, "_gpl");
SYMBOL_CRC(mt76_sw_scan_complete, 0x1920ee7c, "_gpl");
SYMBOL_CRC(mt76_get_antenna, 0xcc9991c0, "_gpl");
SYMBOL_CRC(mt76_init_queue, 0xbba72eed, "_gpl");
SYMBOL_CRC(mt76_ethtool_worker, 0xab9d88b8, "_gpl");
SYMBOL_CRC(mt76_ethtool_page_pool_stats, 0xb357644f, "_gpl");
SYMBOL_CRC(mt76_phy_dfs_state, 0x50f24c3e, "_gpl");
SYMBOL_CRC(mt76_vif_cleanup, 0xee6528fb, "_gpl");
SYMBOL_CRC(mt76_queues_read, 0xc170228d, "_gpl");
SYMBOL_CRC(mt76_seq_puts_array, 0xbc7dff16, "_gpl");
SYMBOL_CRC(mt76_register_debugfs_fops, 0x35773801, "_gpl");
SYMBOL_CRC(mt76_get_of_data_from_mtd, 0x6b2ffc0b, "_gpl");
SYMBOL_CRC(mt76_get_of_data_from_nvmem, 0xf55f6890, "_gpl");
SYMBOL_CRC(mt76_eeprom_override, 0x675b6e3c, "_gpl");
SYMBOL_CRC(mt76_find_power_limits_node, 0x21462dcb, "_gpl");
SYMBOL_CRC(mt76_find_channel_node, 0x73c72dea, "_gpl");
SYMBOL_CRC(mt76_get_rate_power_limits, 0x163f14c7, "_gpl");
SYMBOL_CRC(mt76_eeprom_init, 0xf56a7d93, "_gpl");
SYMBOL_CRC(mt76_tx_check_agg_ssn, 0xa5905b72, "_gpl");
SYMBOL_CRC(mt76_tx_status_lock, 0x4ec6f185, "_gpl");
SYMBOL_CRC(mt76_tx_status_unlock, 0x58faefad, "_gpl");
SYMBOL_CRC(mt76_tx_status_skb_done, 0x3124b7d7, "_gpl");
SYMBOL_CRC(mt76_tx_status_skb_add, 0x1edb513f, "_gpl");
SYMBOL_CRC(mt76_tx_status_skb_get, 0x6dea47ae, "_gpl");
SYMBOL_CRC(mt76_tx_status_check, 0xd5ef1047, "_gpl");
SYMBOL_CRC(__mt76_tx_complete_skb, 0x1887d949, "_gpl");
SYMBOL_CRC(mt76_tx, 0xd6cc8d47, "_gpl");
SYMBOL_CRC(mt76_release_buffered_frames, 0x53b979d6, "_gpl");
SYMBOL_CRC(mt76_txq_schedule, 0x23fe88b4, "_gpl");
SYMBOL_CRC(mt76_txq_schedule_all, 0x74fe89f5, "_gpl");
SYMBOL_CRC(mt76_tx_worker_run, 0xa22593b8, "_gpl");
SYMBOL_CRC(mt76_stop_tx_queues, 0x19287562, "_gpl");
SYMBOL_CRC(mt76_wake_tx_queue, 0x6f4e2372, "_gpl");
SYMBOL_CRC(mt76_ac_to_hwq, 0xc6634315, "_gpl");
SYMBOL_CRC(mt76_skb_adjust_pad, 0x7d83d26b, "_gpl");
SYMBOL_CRC(mt76_queue_tx_complete, 0xef7ac161, "_gpl");
SYMBOL_CRC(__mt76_set_tx_blocked, 0x0a610082, "_gpl");
SYMBOL_CRC(mt76_token_consume, 0x518cf457, "_gpl");
SYMBOL_CRC(mt76_rx_token_consume, 0xf17bb7a6, "_gpl");
SYMBOL_CRC(mt76_token_release, 0xa8c8f34b, "_gpl");
SYMBOL_CRC(mt76_rx_token_release, 0xb1b94412, "_gpl");
SYMBOL_CRC(mt76_rx_aggr_start, 0x5e752fdb, "_gpl");
SYMBOL_CRC(mt76_rx_aggr_stop, 0x00e16677, "_gpl");
SYMBOL_CRC(__mt76_mcu_msg_alloc, 0x9cb876eb, "_gpl");
SYMBOL_CRC(mt76_mcu_get_response, 0x820c7394, "_gpl");
SYMBOL_CRC(mt76_mcu_rx_event, 0xa87f52ba, "_gpl");
SYMBOL_CRC(mt76_mcu_send_and_get_msg, 0x485ba521, "_gpl");
SYMBOL_CRC(mt76_mcu_skb_send_and_get_msg, 0x5358a608, "_gpl");
SYMBOL_CRC(__mt76_mcu_send_firmware, 0xb45b60be, "_gpl");
SYMBOL_CRC(mt76_wed_release_rx_buf, 0x2a310631, "_gpl");
SYMBOL_CRC(mt76_wed_offload_disable, 0xda4fd8c4, "_gpl");
SYMBOL_CRC(mt76_wed_reset_complete, 0x4958cfc1, "_gpl");
SYMBOL_CRC(mt76_wed_net_setup_tc, 0xe63d1a0e, "_gpl");
SYMBOL_CRC(mt76_wed_dma_reset, 0xf88ee6a4, "_gpl");
SYMBOL_CRC(mt76_hw_scan, 0x103a8b1f, "_gpl");
SYMBOL_CRC(mt76_cancel_hw_scan, 0x498c8f97, "_gpl");
SYMBOL_CRC(mt76_add_chanctx, 0x060964f4, "_gpl");
SYMBOL_CRC(mt76_remove_chanctx, 0x7c7dd0ec, "_gpl");
SYMBOL_CRC(mt76_change_chanctx, 0xd506d3a4, "_gpl");
SYMBOL_CRC(mt76_assign_vif_chanctx, 0x197b758a, "_gpl");
SYMBOL_CRC(mt76_unassign_vif_chanctx, 0xd2418e8b, "_gpl");
SYMBOL_CRC(mt76_switch_vif_chanctx, 0x8a9715da, "_gpl");
SYMBOL_CRC(mt76_remain_on_channel, 0xbe88215d, "_gpl");
SYMBOL_CRC(mt76_cancel_remain_on_channel, 0x24af49f3, "_gpl");
SYMBOL_CRC(mt76_pci_disable_aspm, 0x5d7ebe85, "_gpl");
SYMBOL_CRC(mt76_pci_aspm_supported, 0xfaa12807, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x7c913ff8, "debugfs_create_blob" },
	{ 0x8d8bd78b, "trace_event_raw_init" },
	{ 0x69acdf38, "memcpy" },
	{ 0x037a0cba, "kfree" },
	{ 0xf95322f4, "kthread_parkme" },
	{ 0x596d0a5e, "page_pool_destroy" },
	{ 0xaa1b9489, "ieee80211_register_hw" },
	{ 0x21aa42af, "led_classdev_unregister" },
	{ 0x1a0bc790, "__ieee80211_create_tpt_led_trigger" },
	{ 0x9dd183fb, "netif_napi_add_weight_locked" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0xb3f7646e, "kthread_should_stop" },
	{ 0x2478895d, "ieee80211_sta_eosp" },
	{ 0xabe0efb3, "ieee80211_get_hdrlen_from_skb" },
	{ 0xe2964344, "__wake_up" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xb17a2ba6, "kthread_park" },
	{ 0xc120ab09, "sched_set_fifo_low" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x79defbe1, "kthread_should_park" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x76fb21bc, "wake_up_process" },
	{ 0xa7b5cb70, "dev_driver_string" },
	{ 0x9eb1f7d4, "trace_event_buffer_commit" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x16246b0c, "dma_map_page_attrs" },
	{ 0xefd42739, "napi_complete_done" },
	{ 0x3d05bbbd, "ieee80211_get_tx_rates" },
	{ 0xc2c1a652, "ieee80211_send_bar" },
	{ 0x4b8fe0e9, "cfg80211_reg_check_beaconing" },
	{ 0xaeb9a917, "ieee80211_get_key_rx_seq" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x01000e51, "schedule" },
	{ 0xa9f123d6, "ieee80211_sta_uapsd_trigger" },
	{ 0x7e3102ca, "__tracepoint_sched_set_state_tp" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xa72ff240, "debugfs_create_devm_seqfile" },
	{ 0x0296695f, "refcount_warn_saturate" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0xa916b694, "strnlen" },
	{ 0xd5ee3252, "__alloc_skb" },
	{ 0xc57c48a3, "idr_get_next" },
	{ 0xb9b229ca, "pci_disable_link_state" },
	{ 0xa619a5c3, "_dev_info" },
	{ 0x23f1d7a6, "page_pool_ethtool_stats_get_count" },
	{ 0xe65b6336, "skb_queue_tail" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x73c90389, "page_pool_ethtool_stats_get" },
	{ 0x003eec5a, "kthread_unpark" },
	{ 0x04c3453d, "dev_set_threaded" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0x7665a95b, "idr_remove" },
	{ 0x16c7335f, "debugfs_attr_read" },
	{ 0x3a1ee1b6, "__dma_sync_single_for_cpu" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x75de3374, "ieee80211_queue_delayed_work" },
	{ 0x3ded894a, "devm_kmemdup" },
	{ 0x08b38092, "perf_trace_buf_alloc" },
	{ 0x8eafd550, "perf_trace_run_bpf_submit" },
	{ 0x8a854f01, "_dev_err" },
	{ 0x3c361c34, "debugfs_create_file_unsafe" },
	{ 0xb8f11603, "idr_alloc" },
	{ 0xcdc6b776, "simple_attr_release" },
	{ 0x8ab16ce0, "ieee80211_calc_rx_airtime" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x638dae97, "ieee80211_find_sta_by_ifaddr" },
	{ 0x487e2ecd, "ieee80211_next_txq" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xcf3faeb4, "ieee80211_remain_on_channel_expired" },
	{ 0x7d6facd2, "pcie_capability_clear_and_set_word_locked" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xaf23d3d0, "skb_push" },
	{ 0xa65fb7cf, "napi_enable" },
	{ 0x71c4d862, "ieee80211_beacon_cntdwn_is_complete" },
	{ 0xa4eef579, "seq_putc" },
	{ 0x8fb5d6e2, "const_current_task" },
	{ 0xabe2a501, "trace_event_reg" },
	{ 0x7698ef3f, "ieee80211_sta_pspoll" },
	{ 0x74a11a03, "free_netdev" },
	{ 0x4664dd0f, "ieee80211_tx_prepare_skb" },
	{ 0x3801776b, "__ioread32_copy" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0x970e866f, "page_pool_put_unrefed_netmem" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x2a926c25, "kthread_stop" },
	{ 0x857ee33a, "ieee80211_free_txskb" },
	{ 0xad6d7e7e, "led_classdev_register_ext" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xae004fd1, "ieee80211_alloc_hw_nm" },
	{ 0x2a59e6a5, "__fortify_panic" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x8e17b3ae, "idr_destroy" },
	{ 0xe96d9b7f, "ieee80211_tx_dequeue" },
	{ 0x402d0db3, "ieee80211_rx_list" },
	{ 0xc21a157e, "page_pool_create" },
	{ 0xfb578fc5, "memset" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0x69b18f43, "rfc1042_header" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x2ea7dc17, "debugfs_create_u32" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x52d7492f, "ieee80211_ready_on_channel" },
	{ 0xa01acd0f, "__netif_napi_del_locked" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x84de33e7, "kthread_create_on_node" },
	{ 0xb9ce64e3, "bpf_trace_run3" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x30cfb3dc, "cpu_number" },
	{ 0x1e559ca3, "__preempt_count" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0xe79adbd5, "gro_receive_skb" },
	{ 0x6bc1abb8, "alloc_netdev_dummy" },
	{ 0xb3b1b6df, "trace_event_buffer_reserve" },
	{ 0xd7f2475c, "ieee80211_scan_completed" },
	{ 0x2db01cc2, "ieee80211_iterate_active_interfaces_atomic" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xdeee1db5, "__dma_sync_single_for_device" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x4cabdd7d, "ieee80211_unregister_hw" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x4a2f8f5d, "napi_build_skb" },
	{ 0x36dab7b4, "seq_write" },
	{ 0x6d5f5b91, "radix_tree_tagged" },
	{ 0xf4412901, "__kmalloc_cache_noprof" },
	{ 0x56470118, "__warn_printk" },
	{ 0x77c3b574, "seq_printf" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0x5584448a, "ieee80211_channel_to_freq_khz" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x0c3690fc, "_raw_spin_lock_bh" },
	{ 0x23026b4b, "cfg80211_chandef_create" },
	{ 0xc07351b3, "__SCT__cond_resched" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0xce987a16, "skb_add_rx_frag_netmem" },
	{ 0x9821ff34, "napi_disable" },
	{ 0x85c973e0, "ieee80211_sta_ps_transition" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0xb29cd26f, "debugfs_create_u8" },
	{ 0x4e89c698, "debugfs_create_dir" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x85d120e3, "trace_handle_return" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x6b76ca87, "kmalloc_caches" },
	{ 0x53bbefe1, "__trace_set_current_state" },
	{ 0xe5530bb7, "ieee80211_csa_finish" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0xcae4347d, "ieee80211_sta_register_airtime" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x57c8fbfb, "pcie_capability_read_word" },
	{ 0x6b033368, "__skb_pad" },
	{ 0xc6b87c63, "page_pool_get_stats" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0xb2e4c3fb, "simple_attr_open" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xe0843d5b, "__ieee80211_schedule_txq" },
	{ 0xbca59515, "debugfs_attr_write" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0x55f57320, "devm_kmalloc" },
	{ 0x0e868bfd, "skb_put" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x8eeb7a84, "page_pool_alloc_frag" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x6a5cc518, "__kmalloc_noprof" },
	{ 0x0f3df91c, "consume_skb" },
	{ 0xb0e602eb, "memmove" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0x56a8647b, "dmam_alloc_attrs" },
	{ 0xb134672f, "trace_raw_output_prep" },
	{ 0x6b8bf149, "netif_receive_skb_list" },
	{ 0xef7de6a9, "skb_dequeue" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0xee6c633f, "__trace_trigger_soft_disabled" },
	{ 0x92540fbf, "finish_wait" },
	{ 0xe1287747, "ieee80211_free_hw" },
	{ 0x1114bc38, "ieee80211_probereq_get" },
	{ 0xcc94b3c2, "dma_unmap_page_attrs" },
	{ 0x9b344637, "ieee80211_txq_schedule_start" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0xfb16efa0, "trace_event_printf" },
	{ 0x9668fb67, "this_cpu_off" },
	{ 0x4b087c96, "ieee80211_tx_status_ext" },
	{ 0xfdf7a3f9, "module_layout" },
};

MODULE_INFO(depends, "mac80211,cfg80211");


MODULE_INFO(srcversion, "75C21DF8CEA916F487E0575");
