#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(nvdimm_namespace_attach_btt, "", "");
KSYMTAB_FUNC(nvdimm_namespace_detach_btt, "", "");

SYMBOL_CRC(nvdimm_namespace_attach_btt, 0x7002389c, "");
SYMBOL_CRC(nvdimm_namespace_detach_btt, 0x26c65419, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x037a0cba, "kfree" },
	{ 0x499f0ecf, "nd_sb_checksum" },
	{ 0xdd9b5353, "nd_btt_arena_is_valid" },
	{ 0x53a1cc41, "__dynamic_dev_dbg" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x1c631c64, "bio_end_io_acct_remapped" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xa7b5cb70, "dev_driver_string" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x970038d5, "empty_zero_page" },
	{ 0x0f893dff, "put_disk" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0xf5edea2e, "___ratelimit" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x289ec3d0, "debugfs_create_x64" },
	{ 0x56554b97, "__kmalloc_large_noprof" },
	{ 0x589f34fd, "nd_dev_to_uuid" },
	{ 0xa619a5c3, "_dev_info" },
	{ 0x3ac097ea, "bio_start_io_acct" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x36645831, "bio_endio" },
	{ 0xa61276cc, "nd_region_release_lane" },
	{ 0x8a854f01, "_dev_err" },
	{ 0x453cbc76, "set_capacity" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xcb8bc638, "debugfs_remove" },
	{ 0x8fb5d6e2, "const_current_task" },
	{ 0x364c23ad, "mutex_is_locked" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0x9cb2275b, "del_gendisk" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x2a59e6a5, "__fortify_panic" },
	{ 0x612bfd89, "errno_to_blk_status" },
	{ 0xac83eed5, "to_nd_btt" },
	{ 0x68eb24e2, "nd_region_acquire_lane" },
	{ 0xfb578fc5, "memset" },
	{ 0xc151c25b, "_dev_warn" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x2ea7dc17, "debugfs_create_u32" },
	{ 0x117fa05e, "nvdimm_namespace_disk_name" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x1e559ca3, "__preempt_count" },
	{ 0x741a1420, "debugfs_create_x32" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xca454fef, "nvdimm_namespace_capacity" },
	{ 0xf4412901, "__kmalloc_cache_noprof" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd7143ce5, "nvdimm_check_and_set_ro" },
	{ 0xc07351b3, "__SCT__cond_resched" },
	{ 0xb3c6c8f9, "badblocks_check" },
	{ 0x0994c2ff, "nd_btt_version" },
	{ 0x4e89c698, "debugfs_create_dir" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x6b76ca87, "kmalloc_caches" },
	{ 0xf6c2b422, "bio_integrity_prep" },
	{ 0xd765e305, "__blk_alloc_disk" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x55f57320, "devm_kmalloc" },
	{ 0x6a5cc518, "__kmalloc_noprof" },
	{ 0x1ef35c88, "device_add_disk" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x701ac556, "devm_namespace_enable" },
	{ 0x48d88a2c, "__SCT__preempt_schedule" },
	{ 0x7d920d88, "debugfs_create_u16" },
	{ 0xf78a147e, "to_nd_region" },
	{ 0xfdf7a3f9, "module_layout" },
};

MODULE_INFO(depends, "libnvdimm");


MODULE_INFO(srcversion, "B14EEE3169769A63869E2CF");
