#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(ssam_get_controller, "_gpl", "");
KSYMTAB_FUNC(ssam_client_link, "_gpl", "");
KSYMTAB_FUNC(ssam_client_bind, "_gpl", "");
KSYMTAB_FUNC(ssh_packet_get, "_gpl", "");
KSYMTAB_FUNC(ssh_packet_put, "_gpl", "");
KSYMTAB_DATA(ssam_device_type, "_gpl", "");
KSYMTAB_FUNC(ssam_device_alloc, "_gpl", "");
KSYMTAB_FUNC(ssam_device_add, "_gpl", "");
KSYMTAB_FUNC(ssam_device_remove, "_gpl", "");
KSYMTAB_FUNC(ssam_device_id_match, "_gpl", "");
KSYMTAB_FUNC(ssam_device_get_match, "_gpl", "");
KSYMTAB_FUNC(ssam_device_get_match_data, "_gpl", "");
KSYMTAB_FUNC(__ssam_device_driver_register, "_gpl", "");
KSYMTAB_FUNC(ssam_device_driver_unregister, "_gpl", "");
KSYMTAB_FUNC(__ssam_register_clients, "_gpl", "");
KSYMTAB_FUNC(ssam_remove_clients, "_gpl", "");
KSYMTAB_FUNC(ssam_controller_device, "_gpl", "");
KSYMTAB_FUNC(ssam_controller_get, "_gpl", "");
KSYMTAB_FUNC(ssam_controller_put, "_gpl", "");
KSYMTAB_FUNC(ssam_controller_statelock, "_gpl", "");
KSYMTAB_FUNC(ssam_controller_stateunlock, "_gpl", "");
KSYMTAB_FUNC(ssam_request_write_data, "_gpl", "");
KSYMTAB_FUNC(ssam_request_sync_alloc, "_gpl", "");
KSYMTAB_FUNC(ssam_request_sync_free, "_gpl", "");
KSYMTAB_FUNC(ssam_request_sync_init, "_gpl", "");
KSYMTAB_FUNC(ssam_request_sync_submit, "_gpl", "");
KSYMTAB_FUNC(ssam_request_do_sync, "_gpl", "");
KSYMTAB_FUNC(ssam_request_do_sync_with_buffer, "_gpl", "");
KSYMTAB_FUNC(ssam_notifier_register, "_gpl", "");
KSYMTAB_FUNC(__ssam_notifier_unregister, "_gpl", "");
KSYMTAB_FUNC(ssam_controller_event_enable, "_gpl", "");
KSYMTAB_FUNC(ssam_controller_event_disable, "_gpl", "");

SYMBOL_CRC(ssam_get_controller, 0x00008c80, "_gpl");
SYMBOL_CRC(ssam_client_link, 0x048122e3, "_gpl");
SYMBOL_CRC(ssam_client_bind, 0x375c0570, "_gpl");
SYMBOL_CRC(ssh_packet_get, 0x112badb4, "_gpl");
SYMBOL_CRC(ssh_packet_put, 0x7b9e008d, "_gpl");
SYMBOL_CRC(ssam_device_type, 0xf533ffec, "_gpl");
SYMBOL_CRC(ssam_device_alloc, 0xa9d2b8f2, "_gpl");
SYMBOL_CRC(ssam_device_add, 0xc1bdd8fd, "_gpl");
SYMBOL_CRC(ssam_device_remove, 0x81b7b88e, "_gpl");
SYMBOL_CRC(ssam_device_id_match, 0xc2bd582d, "_gpl");
SYMBOL_CRC(ssam_device_get_match, 0x13b7d90d, "_gpl");
SYMBOL_CRC(ssam_device_get_match_data, 0xe4850f57, "_gpl");
SYMBOL_CRC(__ssam_device_driver_register, 0x5bea8f45, "_gpl");
SYMBOL_CRC(ssam_device_driver_unregister, 0x47e620b4, "_gpl");
SYMBOL_CRC(__ssam_register_clients, 0x245c2160, "_gpl");
SYMBOL_CRC(ssam_remove_clients, 0xbec303cf, "_gpl");
SYMBOL_CRC(ssam_controller_device, 0xc59be31a, "_gpl");
SYMBOL_CRC(ssam_controller_get, 0x21ed121a, "_gpl");
SYMBOL_CRC(ssam_controller_put, 0x76c91c59, "_gpl");
SYMBOL_CRC(ssam_controller_statelock, 0x0fc420fa, "_gpl");
SYMBOL_CRC(ssam_controller_stateunlock, 0x46ea9a78, "_gpl");
SYMBOL_CRC(ssam_request_write_data, 0x1cb247e3, "_gpl");
SYMBOL_CRC(ssam_request_sync_alloc, 0xd81ba09a, "_gpl");
SYMBOL_CRC(ssam_request_sync_free, 0x2f2531b6, "_gpl");
SYMBOL_CRC(ssam_request_sync_init, 0xa9c9652f, "_gpl");
SYMBOL_CRC(ssam_request_sync_submit, 0x796e81b9, "_gpl");
SYMBOL_CRC(ssam_request_do_sync, 0xb3d7b17b, "_gpl");
SYMBOL_CRC(ssam_request_do_sync_with_buffer, 0x74e58516, "_gpl");
SYMBOL_CRC(ssam_notifier_register, 0x9610086b, "_gpl");
SYMBOL_CRC(__ssam_notifier_unregister, 0x60caa251, "_gpl");
SYMBOL_CRC(ssam_controller_event_enable, 0x96b3ef37, "_gpl");
SYMBOL_CRC(ssam_controller_event_disable, 0x52b67f6a, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x76fb21bc, "wake_up_process" },
	{ 0x9eb1f7d4, "trace_event_buffer_commit" },
	{ 0xf02aa937, "wait_for_completion_interruptible_timeout" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0x01000e51, "schedule" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x0296695f, "refcount_warn_saturate" },
	{ 0x2656775e, "put_device" },
	{ 0xf82ec573, "rb_prev" },
	{ 0xf4ee95fc, "device_for_each_child_reverse" },
	{ 0xa619a5c3, "_dev_info" },
	{ 0x167c5967, "print_hex_dump" },
	{ 0x1f3c7e9d, "fwnode_get_name" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xae5a04bb, "acpi_evaluate_dsm" },
	{ 0x08b38092, "perf_trace_buf_alloc" },
	{ 0x1ee844d1, "init_srcu_struct" },
	{ 0x8eafd550, "perf_trace_run_bpf_submit" },
	{ 0x189f0f9a, "devm_acpi_dev_add_driver_gpios" },
	{ 0xc9f13deb, "bus_unregister" },
	{ 0x57bc19d2, "down_write" },
	{ 0x8a854f01, "_dev_err" },
	{ 0xce807a25, "up_write" },
	{ 0xad08a6d1, "device_add" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0xbbe250b2, "__srcu_read_lock" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xe95610da, "kmem_cache_free" },
	{ 0x5a921311, "strncmp" },
	{ 0xabe2a501, "trace_event_reg" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0xba0e9e2c, "driver_unregister" },
	{ 0x2e3bcce2, "wait_for_completion_interruptible" },
	{ 0xf74bb274, "mod_delayed_work_on" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0xd91552b5, "cleanup_srcu_struct" },
	{ 0x92285601, "sysfs_create_group" },
	{ 0x2a926c25, "kthread_stop" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x4f0b214b, "serdev_device_wait_until_sent" },
	{ 0xa2601aad, "__serdev_device_driver_register" },
	{ 0x410ad379, "bpf_trace_run1" },
	{ 0xc151c25b, "_dev_warn" },
	{ 0xc48cd52f, "acpi_dev_clear_dependencies" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x94bd317e, "kmem_cache_alloc_noprof" },
	{ 0xdd7e27f5, "fwnode_handle_get" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0xece784c2, "rb_first" },
	{ 0xce2840e7, "irq_set_irq_wake" },
	{ 0x93d6dd8c, "complete_all" },
	{ 0x577d1389, "__kmem_cache_create_args" },
	{ 0xdc9dd650, "serdev_device_write_buf" },
	{ 0x668b19a1, "down_read" },
	{ 0x84de33e7, "kthread_create_on_node" },
	{ 0x98df31f8, "sysfs_remove_group" },
	{ 0x94c62eb0, "trace_print_flags_seq" },
	{ 0x30cfb3dc, "cpu_number" },
	{ 0x1e559ca3, "__preempt_count" },
	{ 0x4598ee15, "platform_device_register_full" },
	{ 0xb3b1b6df, "trace_event_buffer_reserve" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x131bdf14, "serdev_device_close" },
	{ 0xee91879b, "rb_first_postorder" },
	{ 0xf4412901, "__kmalloc_cache_noprof" },
	{ 0x03c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xb54f2364, "__srcu_read_unlock" },
	{ 0x4e68e9be, "rb_next_postorder" },
	{ 0x312f1fb8, "dev_err_probe" },
	{ 0x139f2189, "__kfifo_alloc" },
	{ 0x09a34a2b, "crc_itu_t" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xc04fbeaf, "device_link_add" },
	{ 0x6c51df57, "fwnode_irq_get" },
	{ 0x13d0adf7, "__kfifo_out" },
	{ 0x85d120e3, "trace_handle_return" },
	{ 0x53b954a2, "up_read" },
	{ 0xf2b4eb5d, "driver_register" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x8acf8c04, "__dev_fwnode" },
	{ 0x6b76ca87, "kmalloc_caches" },
	{ 0x92ce14d4, "bus_register" },
	{ 0x414b4fc6, "kmem_cache_destroy" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x3ce4ca6f, "disable_irq" },
	{ 0x2e0a637d, "acpi_walk_resources" },
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0x3efe05bb, "gpiod_get" },
	{ 0xc1514a3b, "free_irq" },
	{ 0x7b4da6ff, "__init_rwsem" },
	{ 0x509b64ea, "acpi_has_method" },
	{ 0xb930c310, "is_acpi_device_node" },
	{ 0x7c6f5897, "gpiod_put" },
	{ 0x63177d78, "device_set_wakeup_capable" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x6a5cc518, "__kmalloc_noprof" },
	{ 0xfa4baca2, "serdev_device_set_baudrate" },
	{ 0xbcc15e75, "ktime_get_coarse_with_offset" },
	{ 0x24fa903f, "dev_set_name" },
	{ 0xb0e602eb, "memmove" },
	{ 0x39a0fbf6, "gpiod_count" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xb134672f, "trace_raw_output_prep" },
	{ 0xf23fcb99, "__kfifo_in" },
	{ 0x687445ce, "device_unregister" },
	{ 0xca9360b5, "rb_next" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0xee6c633f, "__trace_trigger_soft_disabled" },
	{ 0x92540fbf, "finish_wait" },
	{ 0xfb16efa0, "trace_event_printf" },
	{ 0x9668fb67, "this_cpu_off" },
	{ 0xea312c8c, "serdev_acpi_get_uart_resource" },
	{ 0xcf7d078c, "device_initialize" },
	{ 0x97267687, "serdev_device_set_flow_control" },
	{ 0x8d8bd78b, "trace_event_raw_init" },
	{ 0xe0ad7c35, "gpiod_to_irq" },
	{ 0x8900d05a, "trace_print_symbols_seq" },
	{ 0x69acdf38, "memcpy" },
	{ 0x037a0cba, "kfree" },
	{ 0xdc044944, "serdev_device_open" },
	{ 0xfcec0987, "enable_irq" },
	{ 0xb982c60e, "fwnode_get_next_child_node" },
	{ 0x7340fd34, "bpf_trace_run2" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0xb3f7646e, "kthread_should_stop" },
	{ 0xe2964344, "__wake_up" },
	{ 0x8c3acb9e, "synchronize_srcu" },
	{ 0xdb760f52, "__kfifo_free" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0x53a1cc41, "__dynamic_dev_dbg" },
	{ 0x6d736bd7, "serdev_device_set_parity" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0xfdf7a3f9, "module_layout" },
};

MODULE_INFO(depends, "crc-itu-t");

MODULE_ALIAS("acpi*:MSHW0084:*");

MODULE_INFO(srcversion, "8F52398202C36736FCD8942");
