#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(xhci_pci_common_probe, "_gpl", "xhci");
KSYMTAB_FUNC(xhci_pci_remove, "_gpl", "xhci");

SYMBOL_CRC(xhci_pci_common_probe, 0x5b36bfd7, "_gpl");
SYMBOL_CRC(xhci_pci_remove, 0x8c524c60, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xc1091ce8, "xhci_stop" },
	{ 0xd237b167, "pci_irq_vector" },
	{ 0xc1514a3b, "free_irq" },
	{ 0x8c6d889f, "pci_free_irq_vectors" },
	{ 0x1cdd0605, "xhci_port_state_to_neutral" },
	{ 0x53a1cc41, "__dynamic_dev_dbg" },
	{ 0x8a854f01, "_dev_err" },
	{ 0x377bbcbc, "pm_suspend_target_state" },
	{ 0xaf6716b8, "xhci_suspend" },
	{ 0x6b24bcfd, "pci_d3cold_disable" },
	{ 0xe523ad75, "synchronize_irq" },
	{ 0x4a462564, "xhci_update_hub_device" },
	{ 0x95b891f1, "usb_acpi_port_lpm_incapable" },
	{ 0x27a1cfc4, "__tracepoint_xhci_dbg_init" },
	{ 0x30cfb3dc, "cpu_number" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x1e559ca3, "__preempt_count" },
	{ 0x8a5c1029, "__SCT__tp_func_xhci_dbg_init" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0xc60d0620, "__num_online_cpus" },
	{ 0x9a956d53, "pci_alloc_irq_vectors" },
	{ 0x88fac4e8, "xhci_msi_irq" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x20e24f3d, "xhci_run" },
	{ 0x4aac905a, "xhci_dbg_trace" },
	{ 0xa916b694, "strnlen" },
	{ 0x70cf032f, "usb_hcd_irq" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x2a59e6a5, "__fortify_panic" },
	{ 0xaf4014ff, "usb_amd_quirk_pll_check" },
	{ 0xbe6cefc4, "__tracepoint_xhci_dbg_quirks" },
	{ 0xabf03fc3, "__SCT__tp_func_xhci_dbg_quirks" },
	{ 0x4850df41, "pci_unregister_driver" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0x84cf19c6, "xhci_gen_setup" },
	{ 0x41733d7a, "pci_read_config_byte" },
	{ 0x324ff426, "pci_set_mwi" },
	{ 0xb930c310, "is_acpi_device_node" },
	{ 0xae5a04bb, "acpi_evaluate_dsm" },
	{ 0x037a0cba, "kfree" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xac738bde, "__devm_reset_control_get" },
	{ 0x24f39c39, "reset_control_reset" },
	{ 0x7746db41, "usb_hcd_pci_probe" },
	{ 0x7ddb40b9, "usb_create_shared_hcd" },
	{ 0x9a14be9a, "xhci_ext_cap_init" },
	{ 0x64760d92, "usb_add_hcd" },
	{ 0xa4a2b803, "device_property_read_bool" },
	{ 0x9086c7a9, "pci_clear_and_set_config_dword" },
	{ 0x293a440f, "pm_runtime_allow" },
	{ 0x81e977af, "__pm_runtime_resume" },
	{ 0xa9b0c853, "pci_match_id" },
	{ 0x59fcaba8, "xhci_resume" },
	{ 0xc1e3d5fa, "usb_enable_intel_xhci_ports" },
	{ 0x8bc43196, "xhci_shutdown" },
	{ 0xc3b83160, "usb_hcd_pci_shutdown" },
	{ 0x4d23f6f1, "usb_hcd_pci_pm_ops" },
	{ 0xda319598, "__SCK__tp_func_xhci_dbg_init" },
	{ 0x23dcb8e6, "__SCK__tp_func_xhci_dbg_quirks" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x3bbfd1c2, "usb_hcd_is_primary_hcd" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x46341d7e, "pci_choose_state" },
	{ 0x35be516d, "usb_remove_hcd" },
	{ 0x5dbb6d59, "usb_put_hcd" },
	{ 0xdb653847, "usb_hcd_pci_remove" },
	{ 0x48ac3ac2, "pm_runtime_forbid" },
	{ 0x99990c3e, "__pm_runtime_idle" },
	{ 0x679b3f65, "pci_set_power_state" },
	{ 0x60efa9a3, "xhci_init_driver" },
	{ 0xc27671d5, "__pci_register_driver" },
	{ 0xfdf7a3f9, "module_layout" },
};

MODULE_INFO(depends, "xhci-hcd,usbcore");

MODULE_ALIAS("pci:v*d*sv*sd*bc0Csc03i30*");

MODULE_INFO(srcversion, "687A84021272B3F729EA6EE");
