#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(v9fs_register_trans, "", "");
KSYMTAB_FUNC(v9fs_unregister_trans, "", "");
KSYMTAB_FUNC(v9fs_get_trans_by_name, "", "");
KSYMTAB_FUNC(v9fs_get_default_trans, "", "");
KSYMTAB_FUNC(p9_is_proto_dotl, "", "");
KSYMTAB_FUNC(p9_is_proto_dotu, "", "");
KSYMTAB_FUNC(p9_show_client_options, "", "");
KSYMTAB_FUNC(p9_fcall_fini, "", "");
KSYMTAB_FUNC(p9_tag_lookup, "", "");
KSYMTAB_FUNC(p9_req_put, "", "");
KSYMTAB_FUNC(p9_client_cb, "", "");
KSYMTAB_FUNC(p9_parse_header, "", "");
KSYMTAB_DATA(__tracepoint_9p_fid_ref, "", "");
KSYMTAB_FUNC(__traceiter_9p_fid_ref, "", "");
KSYMTAB_DATA(__SCK__tp_func_9p_fid_ref, "", "");
KSYMTAB_FUNC(__SCT__tp_func_9p_fid_ref, "", "");
KSYMTAB_FUNC(do_trace_9p_fid_get, "", "");
KSYMTAB_FUNC(do_trace_9p_fid_put, "", "");
KSYMTAB_FUNC(p9_client_create, "", "");
KSYMTAB_FUNC(p9_client_destroy, "", "");
KSYMTAB_FUNC(p9_client_disconnect, "", "");
KSYMTAB_FUNC(p9_client_begin_disconnect, "", "");
KSYMTAB_FUNC(p9_client_attach, "", "");
KSYMTAB_FUNC(p9_client_walk, "", "");
KSYMTAB_FUNC(p9_client_open, "", "");
KSYMTAB_FUNC(p9_client_create_dotl, "", "");
KSYMTAB_FUNC(p9_client_fcreate, "", "");
KSYMTAB_FUNC(p9_client_symlink, "", "");
KSYMTAB_FUNC(p9_client_link, "", "");
KSYMTAB_FUNC(p9_client_fsync, "", "");
KSYMTAB_FUNC(p9_client_clunk, "", "");
KSYMTAB_FUNC(p9_client_remove, "", "");
KSYMTAB_FUNC(p9_client_unlinkat, "", "");
KSYMTAB_FUNC(p9_client_read, "", "");
KSYMTAB_FUNC(p9_client_read_once, "", "");
KSYMTAB_FUNC(p9_client_write, "", "");
KSYMTAB_FUNC(p9_client_write_subreq, "", "");
KSYMTAB_FUNC(p9_client_stat, "", "");
KSYMTAB_FUNC(p9_client_getattr_dotl, "", "");
KSYMTAB_FUNC(p9_client_wstat, "", "");
KSYMTAB_FUNC(p9_client_setattr, "", "");
KSYMTAB_FUNC(p9_client_statfs, "", "");
KSYMTAB_FUNC(p9_client_rename, "", "");
KSYMTAB_FUNC(p9_client_renameat, "", "");
KSYMTAB_FUNC(p9_client_xattrwalk, "_gpl", "");
KSYMTAB_FUNC(p9_client_xattrcreate, "_gpl", "");
KSYMTAB_FUNC(p9_client_readdir, "", "");
KSYMTAB_FUNC(p9_client_mknod_dotl, "", "");
KSYMTAB_FUNC(p9_client_mkdir_dotl, "", "");
KSYMTAB_FUNC(p9_client_lock_dotl, "", "");
KSYMTAB_FUNC(p9_client_getlock_dotl, "", "");
KSYMTAB_FUNC(p9_client_readlink, "", "");
KSYMTAB_FUNC(p9_error_init, "", "");
KSYMTAB_FUNC(p9_errstr2errno, "", "");
KSYMTAB_FUNC(p9stat_free, "", "");
KSYMTAB_FUNC(p9stat_read, "", "");
KSYMTAB_FUNC(p9dirent_read, "", "");
KSYMTAB_FUNC(p9_release_pages, "", "");

SYMBOL_CRC(v9fs_register_trans, 0x7cb64252, "");
SYMBOL_CRC(v9fs_unregister_trans, 0x1c9cf8d5, "");
SYMBOL_CRC(v9fs_get_trans_by_name, 0x074de624, "");
SYMBOL_CRC(v9fs_get_default_trans, 0xf074b9e8, "");
SYMBOL_CRC(p9_is_proto_dotl, 0x374df885, "");
SYMBOL_CRC(p9_is_proto_dotu, 0xb6f7a6dc, "");
SYMBOL_CRC(p9_show_client_options, 0x58247c2a, "");
SYMBOL_CRC(p9_fcall_fini, 0x4ba99359, "");
SYMBOL_CRC(p9_tag_lookup, 0xc33c0a97, "");
SYMBOL_CRC(p9_req_put, 0xf2dfd684, "");
SYMBOL_CRC(p9_client_cb, 0xa07add2a, "");
SYMBOL_CRC(p9_parse_header, 0x761cad64, "");
SYMBOL_CRC(__tracepoint_9p_fid_ref, 0xa3e6b342, "");
SYMBOL_CRC(__traceiter_9p_fid_ref, 0xdf051ad8, "");
SYMBOL_CRC(__SCK__tp_func_9p_fid_ref, 0xa219050e, "");
SYMBOL_CRC(__SCT__tp_func_9p_fid_ref, 0xb798a888, "");
SYMBOL_CRC(do_trace_9p_fid_get, 0x27382f6a, "");
SYMBOL_CRC(do_trace_9p_fid_put, 0xc063aa31, "");
SYMBOL_CRC(p9_client_create, 0xc6fd6721, "");
SYMBOL_CRC(p9_client_destroy, 0x911b899d, "");
SYMBOL_CRC(p9_client_disconnect, 0x12501399, "");
SYMBOL_CRC(p9_client_begin_disconnect, 0xac982e23, "");
SYMBOL_CRC(p9_client_attach, 0x20d52c4d, "");
SYMBOL_CRC(p9_client_walk, 0xddd6b685, "");
SYMBOL_CRC(p9_client_open, 0xa56bb0ef, "");
SYMBOL_CRC(p9_client_create_dotl, 0xb05b192f, "");
SYMBOL_CRC(p9_client_fcreate, 0xf6fe0d67, "");
SYMBOL_CRC(p9_client_symlink, 0x12e01af1, "");
SYMBOL_CRC(p9_client_link, 0x69389b16, "");
SYMBOL_CRC(p9_client_fsync, 0x7cd0b53a, "");
SYMBOL_CRC(p9_client_clunk, 0xbfb4f970, "");
SYMBOL_CRC(p9_client_remove, 0x1785a3a8, "");
SYMBOL_CRC(p9_client_unlinkat, 0x4e188331, "");
SYMBOL_CRC(p9_client_read, 0x52f8b53c, "");
SYMBOL_CRC(p9_client_read_once, 0xae78d83c, "");
SYMBOL_CRC(p9_client_write, 0xdfadcb95, "");
SYMBOL_CRC(p9_client_write_subreq, 0xdf063165, "");
SYMBOL_CRC(p9_client_stat, 0x6cc3bc36, "");
SYMBOL_CRC(p9_client_getattr_dotl, 0xccd18d93, "");
SYMBOL_CRC(p9_client_wstat, 0x6c3fdfa2, "");
SYMBOL_CRC(p9_client_setattr, 0xf9e53df0, "");
SYMBOL_CRC(p9_client_statfs, 0xda9524fa, "");
SYMBOL_CRC(p9_client_rename, 0x9d519ec8, "");
SYMBOL_CRC(p9_client_renameat, 0xc6fb6e73, "");
SYMBOL_CRC(p9_client_xattrwalk, 0x12988a8c, "_gpl");
SYMBOL_CRC(p9_client_xattrcreate, 0xda9126de, "_gpl");
SYMBOL_CRC(p9_client_readdir, 0xc8eac21e, "");
SYMBOL_CRC(p9_client_mknod_dotl, 0x40ae5b55, "");
SYMBOL_CRC(p9_client_mkdir_dotl, 0x8dfadf5b, "");
SYMBOL_CRC(p9_client_lock_dotl, 0x1e52fd27, "");
SYMBOL_CRC(p9_client_getlock_dotl, 0x9a23822a, "");
SYMBOL_CRC(p9_client_readlink, 0x684182c3, "");
SYMBOL_CRC(p9_error_init, 0xe58a3360, "");
SYMBOL_CRC(p9_errstr2errno, 0x3d73a797, "");
SYMBOL_CRC(p9stat_free, 0xd384c683, "");
SYMBOL_CRC(p9stat_read, 0x41ce9823, "");
SYMBOL_CRC(p9dirent_read, 0x95bd8f96, "");
SYMBOL_CRC(p9_release_pages, 0x44aac3cb, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x8d8bd78b, "trace_event_raw_init" },
	{ 0x8900d05a, "trace_print_symbols_seq" },
	{ 0x69acdf38, "memcpy" },
	{ 0x037a0cba, "kfree" },
	{ 0x7340fd34, "bpf_trace_run2" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0xe2964344, "__wake_up" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x9eb1f7d4, "trace_event_buffer_commit" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x92997ed8, "_printk" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0xfb6af58d, "recalc_sigpending" },
	{ 0x01000e51, "schedule" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x0296695f, "refcount_warn_saturate" },
	{ 0xa2a72f04, "make_kuid" },
	{ 0xa916b694, "strnlen" },
	{ 0xc57c48a3, "idr_get_next" },
	{ 0x029bbbf9, "module_put" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0x7665a95b, "idr_remove" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x08b38092, "perf_trace_buf_alloc" },
	{ 0x8eafd550, "perf_trace_run_bpf_submit" },
	{ 0x4e3567f7, "match_int" },
	{ 0xb8f11603, "idr_alloc" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x954f099c, "idr_preload" },
	{ 0xe95610da, "kmem_cache_free" },
	{ 0x5a921311, "strncmp" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0xff81a3d7, "from_kgid" },
	{ 0x8fb5d6e2, "const_current_task" },
	{ 0xabe2a501, "trace_event_reg" },
	{ 0x34572ade, "iov_iter_kvec" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x2a59e6a5, "__fortify_panic" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0xc52c9efa, "from_kuid" },
	{ 0x90f5f875, "netfs_write_subrequest_terminated" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x94bd317e, "kmem_cache_alloc_noprof" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x63cdccf9, "make_kgid" },
	{ 0x577d1389, "__kmem_cache_create_args" },
	{ 0xfb384d37, "kasprintf" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x1ed88d6a, "kstrdup" },
	{ 0xb9ce64e3, "bpf_trace_run3" },
	{ 0x30cfb3dc, "cpu_number" },
	{ 0x1e559ca3, "__preempt_count" },
	{ 0xb3b1b6df, "trace_event_buffer_reserve" },
	{ 0x85df9b6c, "strsep" },
	{ 0xa4556ab6, "init_user_ns" },
	{ 0x36dab7b4, "seq_write" },
	{ 0x44e9a829, "match_token" },
	{ 0x4abc230d, "__folio_put" },
	{ 0xf4412901, "__kmalloc_cache_noprof" },
	{ 0x950022ed, "validate_usercopy_range" },
	{ 0x77c3b574, "seq_printf" },
	{ 0xb3b344cf, "_copy_from_iter" },
	{ 0xacf4d843, "match_strdup" },
	{ 0x754d539c, "strlen" },
	{ 0x7b01c7ca, "iov_iter_revert" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x85d120e3, "trace_handle_return" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x6b76ca87, "kmalloc_caches" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x414b4fc6, "kmem_cache_destroy" },
	{ 0x3706366a, "try_module_get" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xf6f30865, "_copy_to_iter" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x48f972fb, "bpf_trace_run4" },
	{ 0x20978fb9, "idr_find" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x6a5cc518, "__kmalloc_noprof" },
	{ 0xb0e602eb, "memmove" },
	{ 0xd9916c3a, "idr_alloc_u32" },
	{ 0xb134672f, "trace_raw_output_prep" },
	{ 0x48d88a2c, "__SCT__preempt_schedule" },
	{ 0xee6c633f, "__trace_trigger_soft_disabled" },
	{ 0x92540fbf, "finish_wait" },
	{ 0xfb16efa0, "trace_event_printf" },
	{ 0x9668fb67, "this_cpu_off" },
	{ 0xfdf7a3f9, "module_layout" },
};

MODULE_INFO(depends, "netfs");


MODULE_INFO(srcversion, "0307F8A60B5D7F2D1E157F9");
