#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(mpls_output_possible, "_gpl", "");
KSYMTAB_FUNC(mpls_dev_mtu, "_gpl", "");
KSYMTAB_FUNC(mpls_pkt_too_big, "_gpl", "");
KSYMTAB_FUNC(mpls_stats_inc_outucastpkts, "_gpl", "");
KSYMTAB_FUNC(nla_put_labels, "_gpl", "");
KSYMTAB_FUNC(nla_get_labels, "_gpl", "");

SYMBOL_CRC(mpls_output_possible, 0x689cb1d3, "_gpl");
SYMBOL_CRC(mpls_dev_mtu, 0xaa1add8b, "_gpl");
SYMBOL_CRC(mpls_pkt_too_big, 0x29000601, "_gpl");
SYMBOL_CRC(mpls_stats_inc_outucastpkts, 0x939cb91f, "_gpl");
SYMBOL_CRC(nla_put_labels, 0xfc68e56a, "_gpl");
SYMBOL_CRC(nla_get_labels, 0xde3cca7e, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xc8827b75, "sysctl_vals" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x6badb13b, "rtnl_af_register" },
	{ 0xd5ee3252, "__alloc_skb" },
	{ 0x0b0f0753, "rtnl_set_sk_err" },
	{ 0xf121faba, "rtnl_unicast" },
	{ 0x208b5d21, "nla_reserve_64bit" },
	{ 0xd5bc6f06, "ip_valid_fib_dump_req" },
	{ 0x46b3bd03, "__dev_get_by_index" },
	{ 0xbf6b32c0, "ipv6_stub" },
	{ 0x815164ac, "skb_pull" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0xf737dd47, "nla_reserve_nohdr" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xafcd3746, "rtnl_af_unregister" },
	{ 0xdaa6420b, "sk_skb_reason_drop" },
	{ 0x58479636, "dev_remove_pack" },
	{ 0x2f0d279f, "dev_get_by_index" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0xaf23d3d0, "skb_push" },
	{ 0xf936b5b5, "nla_put" },
	{ 0x327df41b, "__rtnl_register_many" },
	{ 0xcd279169, "nla_find" },
	{ 0x2922d85d, "__skb_warn_lro_forwarding" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x2a59e6a5, "__fortify_panic" },
	{ 0x025775b8, "ip_tunnel_encap_del_ops" },
	{ 0xcf434bb9, "unregister_pernet_subsys" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x9d0129f8, "kmemdup_noprof" },
	{ 0x017de3d5, "nr_cpu_ids" },
	{ 0x31cc4b76, "__pskb_pull_tail" },
	{ 0x1e62636c, "skb_trim" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0x907cd046, "free_percpu" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x590509a1, "pcpu_alloc_noprof" },
	{ 0x00aa1603, "xa_find" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xf4412901, "__kmalloc_cache_noprof" },
	{ 0xf8302b11, "rtnl_notify" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0xe933935c, "skb_clone" },
	{ 0xba2385b7, "dst_release" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0xf943375f, "proc_dointvec" },
	{ 0x1a3d69fc, "unregister_net_sysctl_table" },
	{ 0xe1ff966c, "dev_get_flags" },
	{ 0x5fac9e0f, "__rtnl_unregister_many" },
	{ 0x83f51840, "__nla_parse" },
	{ 0x7aa1756e, "kvfree" },
	{ 0xfe5bab3a, "__kvmalloc_node_noprof" },
	{ 0x6b76ca87, "kmalloc_caches" },
	{ 0x3eca0c01, "proc_dointvec_minmax" },
	{ 0x55280428, "netlink_strict_get_check" },
	{ 0x00ad7669, "ip_tunnel_encap_add_ops" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0xba9bdc44, "__nlmsg_put" },
	{ 0x40dcf9ec, "skb_gso_validate_network_len" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x6a5cc518, "__kmalloc_noprof" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0x0f3df91c, "consume_skb" },
	{ 0xe667680e, "dev_add_pack" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x7b6e1b84, "nla_reserve" },
	{ 0x579e0bf5, "rtnl_unregister_all" },
	{ 0x5b3216ec, "neigh_xmit" },
	{ 0x69acdf38, "memcpy" },
	{ 0x037a0cba, "kfree" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0xda3c386e, "ip_route_output_flow" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x16e170f2, "pskb_expand_head" },
	{ 0x420668c6, "register_pernet_subsys" },
	{ 0x4d518f1e, "register_net_sysctl_sz" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x92997ed8, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0xfdf7a3f9, "module_layout" },
};

MODULE_INFO(depends, "ip_tunnel");


MODULE_INFO(srcversion, "8DBF9DCEB59700C37F54646");
