#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(nf_ct_nat_ext_add, "_gpl", "");
KSYMTAB_FUNC(nf_nat_setup_info, "", "");
KSYMTAB_FUNC(nf_nat_alloc_null_binding, "_gpl", "");
KSYMTAB_FUNC(nf_nat_packet, "_gpl", "");
KSYMTAB_FUNC(nf_nat_inet_fn, "_gpl", "");
KSYMTAB_FUNC(nf_nat_icmp_reply_translation, "_gpl", "");
KSYMTAB_FUNC(nf_nat_ipv4_register_fn, "_gpl", "");
KSYMTAB_FUNC(nf_nat_ipv4_unregister_fn, "_gpl", "");
KSYMTAB_FUNC(nf_nat_icmpv6_reply_translation, "_gpl", "");
KSYMTAB_FUNC(nf_nat_ipv6_register_fn, "_gpl", "");
KSYMTAB_FUNC(nf_nat_ipv6_unregister_fn, "_gpl", "");
KSYMTAB_FUNC(nf_nat_inet_register_fn, "_gpl", "");
KSYMTAB_FUNC(nf_nat_inet_unregister_fn, "_gpl", "");
KSYMTAB_FUNC(__nf_nat_mangle_tcp_packet, "", "");
KSYMTAB_FUNC(nf_nat_mangle_udp_packet, "", "");
KSYMTAB_FUNC(nf_nat_follow_master, "", "");
KSYMTAB_FUNC(nf_nat_exp_find_port, "_gpl", "");
KSYMTAB_FUNC(nf_nat_redirect_ipv4, "_gpl", "");
KSYMTAB_FUNC(nf_nat_redirect_ipv6, "_gpl", "");
KSYMTAB_FUNC(nf_nat_masquerade_ipv4, "_gpl", "");
KSYMTAB_FUNC(nf_nat_masquerade_ipv6, "_gpl", "");
KSYMTAB_FUNC(nf_nat_masquerade_inet_register_notifiers, "_gpl", "");
KSYMTAB_FUNC(nf_nat_masquerade_inet_unregister_notifiers, "_gpl", "");
KSYMTAB_FUNC(nf_ct_nat, "_gpl", "");

SYMBOL_CRC(nf_ct_nat_ext_add, 0xe58fab80, "_gpl");
SYMBOL_CRC(nf_nat_setup_info, 0x8d30bd88, "");
SYMBOL_CRC(nf_nat_alloc_null_binding, 0xd692a000, "_gpl");
SYMBOL_CRC(nf_nat_packet, 0xbf0c09c0, "_gpl");
SYMBOL_CRC(nf_nat_inet_fn, 0x339f390a, "_gpl");
SYMBOL_CRC(nf_nat_icmp_reply_translation, 0x034e9c39, "_gpl");
SYMBOL_CRC(nf_nat_ipv4_register_fn, 0x24bbbc58, "_gpl");
SYMBOL_CRC(nf_nat_ipv4_unregister_fn, 0x79169937, "_gpl");
SYMBOL_CRC(nf_nat_icmpv6_reply_translation, 0x43bc451c, "_gpl");
SYMBOL_CRC(nf_nat_ipv6_register_fn, 0xa43165b3, "_gpl");
SYMBOL_CRC(nf_nat_ipv6_unregister_fn, 0x3b9359ea, "_gpl");
SYMBOL_CRC(nf_nat_inet_register_fn, 0x2037764f, "_gpl");
SYMBOL_CRC(nf_nat_inet_unregister_fn, 0x07243283, "_gpl");
SYMBOL_CRC(__nf_nat_mangle_tcp_packet, 0x4f9d07b0, "");
SYMBOL_CRC(nf_nat_mangle_udp_packet, 0xf739d271, "");
SYMBOL_CRC(nf_nat_follow_master, 0xa72c674e, "");
SYMBOL_CRC(nf_nat_exp_find_port, 0x68295876, "_gpl");
SYMBOL_CRC(nf_nat_redirect_ipv4, 0x49e116a5, "_gpl");
SYMBOL_CRC(nf_nat_redirect_ipv6, 0x66b62980, "_gpl");
SYMBOL_CRC(nf_nat_masquerade_ipv4, 0x344a1cab, "_gpl");
SYMBOL_CRC(nf_nat_masquerade_ipv6, 0xf4c15818, "_gpl");
SYMBOL_CRC(nf_nat_masquerade_inet_register_notifiers, 0x3bc17c49, "_gpl");
SYMBOL_CRC(nf_nat_masquerade_inet_unregister_notifiers, 0xd9c25654, "_gpl");
SYMBOL_CRC(nf_ct_nat, 0x83993a02, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x3b08a8f0, "nf_ct_destroy" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x16e170f2, "pskb_expand_head" },
	{ 0x420668c6, "register_pernet_subsys" },
	{ 0xabfa46bb, "nf_conntrack_tuple_taken" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x92997ed8, "_printk" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0xadbd4403, "nf_ct_iterate_cleanup_net" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x0296695f, "refcount_warn_saturate" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0xb6ed9e4c, "ipv6_skip_exthdr" },
	{ 0xe443c426, "nf_register_net_hooks" },
	{ 0xfe029963, "unregister_inetaddr_notifier" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x029bbbf9, "module_put" },
	{ 0x9821ba15, "ipv6_dev_get_saddr" },
	{ 0x33338211, "rcuref_get_slowpath" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x8ffe7e89, "nf_conntrack_htable_size" },
	{ 0x87bfaf85, "nf_ct_expect_related_report" },
	{ 0xe18c6b07, "ip_route_me_harder" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x6f4e4e93, "nf_hook_entries_delete_raw" },
	{ 0xc83798c5, "skb_ensure_writable" },
	{ 0x9bb3095f, "nf_unregister_net_hooks" },
	{ 0x323012a2, "inet_select_addr" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x0460ec0f, "nf_ct_invert_tuple" },
	{ 0xcf434bb9, "unregister_pernet_subsys" },
	{ 0xe60fc6c6, "skb_checksum" },
	{ 0x2fe252cc, "unregister_inet6addr_notifier" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xf1db1704, "nla_memcpy" },
	{ 0x6c6013c0, "nf_ct_delete" },
	{ 0xb47cca30, "csum_ipv6_magic" },
	{ 0xdad711ad, "nf_ip_checksum" },
	{ 0x317f0493, "register_btf_kfunc_id_set" },
	{ 0xd39a47b2, "nf_ct_iterate_destroy" },
	{ 0x0e4262c6, "__siphash_unaligned" },
	{ 0xdb223992, "inet_proto_csum_replace16" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0xdc27a03f, "__put_net" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x33c4de0b, "__skb_checksum" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xf5b1f76e, "inet_proto_csum_replace4" },
	{ 0x311fb02e, "crc32c_shift" },
	{ 0x60352082, "register_inet6addr_notifier" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xf4412901, "__kmalloc_cache_noprof" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0x5089f45f, "ip_send_check" },
	{ 0x0c3690fc, "_raw_spin_lock_bh" },
	{ 0xba2385b7, "dst_release" },
	{ 0xee6e3a96, "nf_ct_l4proto_find" },
	{ 0xfc8b33e2, "nf_ct_kill_acct" },
	{ 0x289c3714, "nf_ct_alloc_hashtable" },
	{ 0x55251af1, "nf_nat_hook" },
	{ 0xb3df2cb0, "crc32c_arch" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0xf68285c0, "register_inetaddr_notifier" },
	{ 0x83f51840, "__nla_parse" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x6b76ca87, "kmalloc_caches" },
	{ 0x18e60984, "__do_once_start" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x524f1dae, "nf_ct_ext_add" },
	{ 0x062365ba, "__do_once_done" },
	{ 0xfab67c24, "nf_conntrack_find_get" },
	{ 0x3706366a, "try_module_get" },
	{ 0x0d542439, "__ipv6_addr_type" },
	{ 0x5c6c73e6, "nf_ip6_checksum" },
	{ 0x070e10bd, "skb_copy_bits" },
	{ 0xc4c5974b, "nf_hook_entries_insert_raw" },
	{ 0xb0b246e4, "xfrm_lookup" },
	{ 0xfba7a5f5, "__get_random_u32_below" },
	{ 0x2fec3739, "nf_ct_seqadj_set" },
	{ 0x0e868bfd, "skb_put" },
	{ 0x1ddb50a8, "kmemdup_array" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xb0e602eb, "memmove" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xfd735a62, "nf_ct_helper_expectfn_unregister" },
	{ 0xea3e5f58, "__xfrm_decode_session" },
	{ 0x89d99ee1, "__nf_ct_ext_find" },
	{ 0x9086bdc3, "nf_ct_helper_expectfn_register" },
	{ 0x69acdf38, "memcpy" },
	{ 0x037a0cba, "kfree" },
	{ 0xaeb082ad, "_raw_read_unlock_bh" },
	{ 0x8dee722d, "_raw_read_lock_bh" },
	{ 0x044f0ad9, "get_random_u16" },
	{ 0x0b96330e, "ip6_route_me_harder" },
	{ 0xfdf7a3f9, "module_layout" },
};

MODULE_INFO(depends, "nf_conntrack");


MODULE_INFO(srcversion, "10A1183F61EF65871BF01DF");
