#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(hda_sdw_startup, "", "SND_SOC_SOF_INTEL_HDA_GENERIC");
KSYMTAB_FUNC(hda_common_check_sdw_irq, "", "SND_SOC_SOF_INTEL_HDA_GENERIC");
KSYMTAB_FUNC(hda_sdw_check_wakeen_irq_common, "", "SND_SOC_SOF_INTEL_HDA_GENERIC");
KSYMTAB_FUNC(hda_sdw_process_wakeen_common, "", "SND_SOC_SOF_INTEL_HDA_GENERIC");
KSYMTAB_FUNC(hda_dsp_post_fw_run, "", "SND_SOC_SOF_INTEL_HDA_GENERIC");
KSYMTAB_FUNC(hda_dsp_probe_early, "", "SND_SOC_SOF_INTEL_HDA_GENERIC");
KSYMTAB_FUNC(hda_dsp_probe, "", "SND_SOC_SOF_INTEL_HDA_GENERIC");
KSYMTAB_FUNC(hda_dsp_remove, "", "SND_SOC_SOF_INTEL_HDA_GENERIC");
KSYMTAB_FUNC(hda_power_down_dsp, "", "SND_SOC_SOF_INTEL_HDA_GENERIC");
KSYMTAB_FUNC(hda_pci_intel_probe, "", "SND_SOC_SOF_INTEL_HDA_GENERIC");
KSYMTAB_DATA(sof_hda_common_ops, "", "SND_SOC_SOF_INTEL_HDA_GENERIC");

SYMBOL_CRC(hda_sdw_startup, 0x80142766, "");
SYMBOL_CRC(hda_common_check_sdw_irq, 0xf85cc104, "");
SYMBOL_CRC(hda_sdw_check_wakeen_irq_common, 0xceac63e5, "");
SYMBOL_CRC(hda_sdw_process_wakeen_common, 0xdd86360f, "");
SYMBOL_CRC(hda_dsp_post_fw_run, 0xddb5e99a, "");
SYMBOL_CRC(hda_dsp_probe_early, 0x5bbd6b8b, "");
SYMBOL_CRC(hda_dsp_probe, 0x35a26418, "");
SYMBOL_CRC(hda_dsp_remove, 0x26e35aaa, "");
SYMBOL_CRC(hda_power_down_dsp, 0xa16f9517, "");
SYMBOL_CRC(hda_pci_intel_probe, 0xccfc55a9, "");
SYMBOL_CRC(sof_hda_common_ops, 0xff236866, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xaa52eba1, "sdw_intel_thread" },
	{ 0x2ad078bb, "hda_dsp_d0i3_work" },
	{ 0x55f57320, "devm_kmalloc" },
	{ 0x79bb115b, "__SCT__tp_func_sof_intel_hda_irq" },
	{ 0x9a956d53, "pci_alloc_irq_vectors" },
	{ 0x32a29d8b, "intel_nhlt_get_dmic_geo" },
	{ 0x74458077, "hda_dsp_ext_man_get_cavs_config_data" },
	{ 0x0079f6ad, "hda_dsp_ctrl_ppcap_enable" },
	{ 0x71918992, "hda_sdw_process_wakeen" },
	{ 0x156a25ca, "hda_sdw_int_enable" },
	{ 0x0aba794f, "hda_bus_ml_init" },
	{ 0x0945d7e2, "hda_codec_probe_bus" },
	{ 0x6bd22eae, "sof_hda_bus_exit" },
	{ 0xf2f98eea, "sdw_hda_dai_hw_params" },
	{ 0xedc03953, "iounmap" },
	{ 0x3b0bc110, "sdw_intel_exit" },
	{ 0x535d17e6, "hda_codec_check_for_state_change" },
	{ 0x2fe71648, "sof_xtensa_arch_ops" },
	{ 0x0e4a5140, "intel_nhlt_has_endpoint_type" },
	{ 0x5abfe74e, "sdw_hda_dai_trigger" },
	{ 0x46c59c6d, "hda_bus_ml_free" },
	{ 0x1ec6d384, "hda_dsp_cl_boot_firmware" },
	{ 0x165a990b, "hda_dsp_pcm_hw_params" },
	{ 0x341597f5, "hda_sdw_check_lcount" },
	{ 0x0d2ab456, "snd_intel_dsp_driver_probe" },
	{ 0xd237b167, "pci_irq_vector" },
	{ 0x22e8958c, "hda_dsp_ctrl_clock_power_gating" },
	{ 0x53a1cc41, "__dynamic_dev_dbg" },
	{ 0x5bb4d5f6, "pci_ioremap_bar" },
	{ 0x93fbbbd2, "hda_dsp_ctrl_init_chip" },
	{ 0xe22574d2, "sdw_hda_dai_hw_free" },
	{ 0xa9b10b23, "sof_pci_probe" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x421d9be7, "hda_dsp_suspend" },
	{ 0x67cbfd7a, "hda_dsp_runtime_suspend" },
	{ 0xe2cd3a90, "hda_codec_i915_exit" },
	{ 0x96eb03ff, "snd_dma_free_pages" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x3fec6720, "hda_dsp_ipc_get_mailbox_offset" },
	{ 0x6f041d83, "hda_dai_config" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0xaaaaa931, "hda_probes_unregister" },
	{ 0x342ef87c, "sof_block_write" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x4e1766fd, "hda_dsp_pcm_ack" },
	{ 0x864b5480, "hda_dsp_trace_release" },
	{ 0xdd3f043c, "__SCK__tp_func_sof_intel_hda_irq" },
	{ 0xa619a5c3, "_dev_info" },
	{ 0x4d9573b9, "hda_dsp_dump" },
	{ 0xa1752a1e, "sdw_intel_startup" },
	{ 0x91e94a68, "hda_dsp_pcm_pointer" },
	{ 0xb17f8855, "sdw_intel_process_wakeen_event" },
	{ 0xdc4d7d8b, "sof_mailbox_write" },
	{ 0xe523ad75, "synchronize_irq" },
	{ 0x9f46ced8, "__sw_hweight64" },
	{ 0x3ded894a, "devm_kmemdup" },
	{ 0x6f6147b5, "sof_mailbox_read" },
	{ 0x02768dd1, "hda_bus_ml_put_all" },
	{ 0x8a854f01, "_dev_err" },
	{ 0xb49e7bd5, "debugfs_create_bool" },
	{ 0x2c3a1296, "hda_dsp_core_reset_power_down" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x1abff09f, "__tracepoint_sof_intel_hda_irq" },
	{ 0x930cbc46, "platform_device_unregister" },
	{ 0x1d843d40, "hda_dsp_trace_init" },
	{ 0xb157f402, "snd_soc_acpi_find_machine" },
	{ 0x191a969c, "snd_soc_acpi_intel_detect_codec_type" },
	{ 0xe8a7a960, "hda_codec_device_remove" },
	{ 0xe84819d0, "hda_dsp_ctrl_ppcap_int_enable" },
	{ 0x2a5ca07b, "snd_soc_acpi_intel_get_codec_tplg_suffix" },
	{ 0x8f19be63, "intel_nhlt_free" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x43a53e95, "snd_sof_dsp_update_bits" },
	{ 0x9e9f7759, "snd_sof_pci_update_bits" },
	{ 0x51aee6d0, "sof_hda_bus_init" },
	{ 0xc51c6577, "hda_dsp_runtime_idle" },
	{ 0x752f8fe0, "hda_dsp_pcm_open" },
	{ 0xc151c25b, "_dev_warn" },
	{ 0x368c6727, "sof_debug_check_flag" },
	{ 0x132c7a78, "sdw_intel_lnl_hw_ops" },
	{ 0xf8fcce49, "pci_set_master" },
	{ 0x4f37a672, "param_ops_charp" },
	{ 0x375bde5a, "hda_dsp_stream_hw_free" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x3bdcdfa9, "hda_dsp_stream_threaded_handler" },
	{ 0xac4ee558, "hda_dsp_pcm_close" },
	{ 0x84751290, "dma_set_coherent_mask" },
	{ 0x51d0e180, "devm_kasprintf" },
	{ 0x1ed88d6a, "kstrdup" },
	{ 0xefcd5e5e, "hda_check_ipc_irq" },
	{ 0x30cfb3dc, "cpu_number" },
	{ 0x1e559ca3, "__preempt_count" },
	{ 0x4598ee15, "platform_device_register_full" },
	{ 0x0e84eefc, "snd_soc_acpi_intel_get_amp_tplg_suffix" },
	{ 0x85df9b6c, "strsep" },
	{ 0x60cf9dbc, "hda_dsp_runtime_resume" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xbdff171a, "hda_dsp_trace_trigger" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xbbe4190f, "sof_machine_unregister" },
	{ 0x301cf1e1, "skl_dai" },
	{ 0x0d5c9d9c, "hda_dsp_get_stream_llp" },
	{ 0x03c12dfe, "cancel_work_sync" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xaf422d9b, "sdw_intel_probe" },
	{ 0x159b0379, "snd_sof_load_firmware_raw" },
	{ 0xe768c58e, "snd_soc_acpi_intel_detect_amp_type" },
	{ 0xb5fe2e5e, "hda_is_chain_dma_supported" },
	{ 0xbb2a4cf1, "hda_dsp_resume" },
	{ 0x1a584304, "intel_nhlt_ssp_mclk_mask" },
	{ 0xfa31b70f, "dma_set_mask" },
	{ 0x714701db, "hda_probes_register" },
	{ 0xf2ce560f, "sof_hda_position_quirk" },
	{ 0x312f1fb8, "dev_err_probe" },
	{ 0x16686720, "hda_dsp_stream_init" },
	{ 0xb1256b11, "hda_dsp_get_stream_ldp" },
	{ 0x02d1a3f3, "hda_dsp_stream_free" },
	{ 0x34c26706, "hda_dsp_ctrl_get_caps" },
	{ 0x50f79842, "param_ops_int" },
	{ 0xdc21221e, "intel_nhlt_init" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x623597f5, "sdw_intel_cnl_hw_ops" },
	{ 0xbf0f1bd7, "intel_nhlt_ssp_endpoint_mask" },
	{ 0x107c8c2f, "hda_codec_i915_init" },
	{ 0x8c6d889f, "pci_free_irq_vectors" },
	{ 0x99de7467, "hda_dsp_check_stream_irq" },
	{ 0xd9a1c78e, "hda_set_stream_data_offset" },
	{ 0x64ce64c1, "sdw_intel_acpi_scan" },
	{ 0xa657773e, "hda_dsp_ipc_get_window_offset" },
	{ 0x0ed373b1, "hda_ipc_msg_data" },
	{ 0xf40f6950, "sof_machine_register" },
	{ 0xb4c8d805, "hdac_bus_eml_get_mutex" },
	{ 0xd467c0b3, "snd_soc_acpi_intel_hda_machines" },
	{ 0xb1235f55, "hda_dsp_set_hw_params_upon_resume" },
	{ 0x180bf743, "snd_soc_acpi_sdw_link_slaves_found" },
	{ 0x2ac6681c, "sof_block_read" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xf6578214, "snd_sof_debugfs_add_region_item_iomem" },
	{ 0x0439cde6, "hda_get_interface_mask" },
	{ 0xcda08368, "hda_codec_i915_display_power" },
	{ 0xb930c310, "is_acpi_device_node" },
	{ 0xe80f4519, "hda_dsp_pcm_trigger" },
	{ 0xfdf7a3f9, "module_layout" },
};

MODULE_INFO(depends, "soundwire-intel,snd-sof-intel-hda-common,snd-intel-dspcfg,snd-sof-intel-hda-mlink,snd-sof-intel-hda,snd-sof-xtensa-dsp,snd-sof-pci,snd-pcm,snd-sof,snd-soc-acpi,snd-soc-acpi-intel-match,snd-intel-sdw-acpi");


MODULE_INFO(srcversion, "D6B1ADF73F7DA3B78C29411");
